Copyright: ® Copyright FTP Software, Inc. 1997. All rights re
Citation: ® Copyright FTP Software, Inc. 1997. All rights reserved.


Lists the names of the available toolbars.


Specifies the buttons available to create or modify a toolbar.


Specifies the buttons that available to create or modify a toolbar.


Adds button to the selected toolbar.


Removes button from the selected toolbar.


Moves the button to the left of its current location on the toolbar.


Moves the button to the right of its current location on the toolbar.


Displays the New Button dialog box. Use this dialog box to create new buttons on the selected toolbar.


Displays the Modify Button dialog box. Use this dialog box to change existing buttons on the selected toolbar.


Deletes the selected button.


Specifies name of the button. Type in the name of the button you want to create or modify.


Specifies graphical images that can be selected to represent the button.


Specifies a message that TNVTPlus sends.


Specifies the text that displays in a pop-up window. Type in a name for the button or a one or two word description of the button.


Specifies the text that displays on the status bar. Type in a message that describes the behavior of the button.


Specifies the name of the toolbar


Specifies the names of the available toolbars.


Specifies that TNVTPlus translate the display remapped character to the original host character before sending the character to the host.


Specifies that TNVTPlus translate the display remapped character to the original host character before sending the character to the host.


Specifies that TNVTPlus translate the display remapped character to the original host character before sending the character to the host.


Specifies that TNVTPlus display all input.


Specifies that TNVTPlus not display input.


Specifies that the echo mode defaults to the state of the network host.


Specifies the directory location for the output session file.


Specifies that the output session file will capture Telnet data sent from the host.


Specifies that the modem use pulse dialing.


Specifies that the modem use tone dialing.


Specifies the amount of time TNVTPlus waits to establish a connection.


Specifies that the connection is established directly through the selected communication port.


Specifies that the connection is established through the modem attached to the selected communication port.


Specifies the phone number used to establish the connection.


Specifies the init string. If you are unsure what the value should be, consult your hardware documentation.


Specifies the baud rate for this port. If you are unsure what the value should be, consult your hardware documentation, or use the default value.


Specifies the data bits for this port. If you are unsure what the value should be, consult your hardware documentation, or use the default value.


Specifies the stop bits for this port. If you are unsure what the value should be, consult your hardware documentation, or use the default value.


Specifies the flow control for this port. If you are unsure what the value should be, consult your hardware documentation, or use the default value.


Specifies the parity for this port. If you are unsure what the value should be, consult your hardware documentation, or use the default value.


Specifies the hostname or Internet address that this session uses to connect to the network host.


Lists the available terminal types.

Selecting a terminal mode before you open a session causes TNVTPlus to negotiate for that terminal type.

You also can change modes within an existing session.


Connects to a network host.


Displays connection options. You can select to connect to a host using Telnet or set up a serial connection using COM1 through COM4.


Displays a series of steps to connect to a network host.


Specifies the username required for login to the network host.


Specifies the password required for login to the network host.


Specifies the username prompt to identify the location of the username.


Specifies the password prompt to identify the location of the password.


Saves the password you specify so that you can reconnect to a network host automatically without being prompted to enter your password.


Connects automatically to network host.


Exits from the TNVTPlus program when the connection closes.


Displays the Open Session dialog box when starting the TNVTPlus program. This allows you to connect automatically to a session saved previously.


Allows TNVTPlus to sound your computer's warning bell when the network host requests it. Clear this option to disable the warning bell.


Allows TNVTPlus to sound your computer's margin bell when the network host requests it. Clear this option to disable the margin bell.


Wraps text that extends beyond the right window border onto a new line. Clear this box to make TNVTPlus truncate long lines.


Displays the settings available for the selected connection type.


Lists available port names or numbers.


Negotiates with the host for the appropriate terminal type by searching the terminal types in the Terminal type list box. If no match occurs, the last terminal type in the list is selected.


Specifies that negotiation occurs using the current terminal type.


Specifies a custom terminal type to use during negotiation.


Notifies the network host when the window size changes. The network host must support this option for this action to be enabled.


Specifies that TNVTPlus transmit the characters you type as an entire line when you press ENTER.


Specifies that the client (your PC) negotiate binary mode when VT220, VT320, or VT420 is selected or when the host sends a VT220, VT320, or VT420 8-bit escape sequence. You must also select the, Use 8-bit control characters option, on the VT Emulation tab page, to enable this option.


Instructs the network host to stop data transfer when you send the Ctrl-s signal. Because the network host determines when to stop the data flow, the termination of data flow is not immediate. (By default, the Ctrl-s signal is generated by pressing Ctrl+S.)


Sends the location of the local PC to the network host.


Displays the standard status line.


Displays the extended status line.


Turns off the status line.


Displays function key labels from the previous session.


Specifies that write-protected characters appear dim.


Specifies that write-protected characters will blink.


Specifies that write-protected characters are invisible.


Underlines write-protected characters.


Specifies that write-protected characters display in reverse video.


Specifies a message that TNVTPlus sends in response to a query from the network host.


Specifies that this option conceal the answerback string. If selected, the word CONCEALED appears in place of the message.


Specifies that when the local PC receives data from the network host, the cursor moves to the beginning of the line.


Specifies that when the local PC receives data from the network host, the cursor moves to the beginning of the next line.


Specifies that when the local PC sends a block of data to the network host the line terminators are ASCII carriage return and line feed characters and the block terminator is an ASCII ETX character.


Specifies that when the local PC sends a block of data to the network host, the line terminator is an ASCII US character and the block terminator is an ASCII carriage return character.


Specifies the key you want to remap.


Maps the shifted state of the key. You can also use this with the Ctrl and Alt check boxes to define combination keystrokes.


Shows the key you selected to be remapped.


Maps the control-shifted state of the key. You can also use this with the Shift and Alt check boxes to define combination keystrokes.


Maps the Alt-Shifted state of the key. You can also use this with the Shift and Ctrl check boxes to define combination keystrokes.


Specifies the combination of text strings, special characters, control sequences, and function keys that you want to send to the network host when you press the selected key.

Click an item in any of the list boxes below to append that item to the contents of the New Mapping box.


Appends an extended ASCII character to the contents of the New Mapping box.


Appends a VT control sequence to the contents of the New Mapping box.


Appends a VT function key or cursor control key sequence to the contents of the New Mapping box.


Appends a PC key sequence to the contents of the New Mapping box. This is useful if you have mapped a PC key that performs a local lock function to some other function.

For example, if you map your PC's Num Lock key to a VT function key, you might then want to use another PC key to perform the Num Lock function. Note that the Num Lock, Caps Lock and Scroll Lock functions send nothing to the network host.


Specifies the current definition of the selected key. You cannot change the contents of this box.


Redefines the selected key using the settings in the New Mapping box.


Resets the selected key to its default mapping.

To reset all keys to their default mappings, click the Reset All command in the Mappings menu.


Lists all the key mappings defined in the current session. You can save these mappings to a file or use them for the current session only. Click an item to select it.


Lists all the key mappings defined in the current session. Click an item to select it. Shift+click on additional items to extend the selection.


Lists available behavior options for the selected key.


Shows the current sensitivity setting for the selected key.


Shows the current behavior setting for the selected key.


If a key is sensitive, this field shows what is sent when you press the key.


Specifies that pressing Caps Lock will affect the key's modified shift state.


Specifies that pressing Num Lock will affect the key's modified shift state.


Removes all lock settings.


Confirms the new key mapping. The dialog box remains open so that you can remap additional keys.


Disables use of the VT420 status line that displays information about the terminal or printer status (when Indicator is selected) or information from the host (when Writable is selected).

For information about control sequences you can send to the status line, see your VT420 documentation.


Displays information about the terminal and printer status on the status line. The terminal information includes the position (line and column location) of the text cursor.

The printer status information can be one of the following:

normal (off): information on the screen is not being sent to the printer

controller: information is sent to the printer instead of displayed on the screen

auto: information sent to the screen is also sent to the printer


When selected, the host status line can be used by the host as another window for displaying information. Through VT420 control sequences, you can program this status line to display whatever information you want.

For example, you might want error messages from the host program to appear in the status line window rather than in the terminal emulation window.

For more information, see your VT420 documentation.


Sets the display to use an 8-bit multinational character set. If you select this option, you also need to select a multinational character set from the list Default multinational character set. The default is DEC Multinational set, but you can change this to ISO Latin-1.


Sets the display to use the 7-bit character set (ASCII).


Lists the multinational character sets. This option takes effect only if you have selected Multinational as the Character Set Mode.


Lists the national character sets. This option takes effect only if you have selected National as the Character Set Mode.


Displays new pages as they are accessed.


Scrolls window to keep cursor in view.


Specifies that control characters be transmitted to the network host as single 8-bit characters. When not selected, control characters are transmitted as two 7-bit characters.


Specifies that the cursor advances from left to right.


Specifies that cursor placement starts in column 80 and advances from right to left. This option supports the Hebrew and Arabic languages.


Specifies that the selected text is copied to the clipboard in left to right sequence.


Specifies that the selected text is copied to the clipboard in right to left sequence. This option supports the Hebrew and Arabic languages.


Specifies how quickly TNVTPlus internally processes the lines of data from the network host before updating the screen.


Specifies the number of lines that TNVTPlus uses to capture data that has scrolled beyond the border of the terminal window.

Size              Number of Lines

None             Zero lines

Small             25 lines

Medium         100 lines

Large             500 lines

Maximum       A variable dependent on

                      other settings such as font

                      size.


Lists the available screen widths.


Specifies 80 columns with more pages of memory. In this mode, the terminal clears the entire display memory.


Clears the display when the width of the screen changes.


Specifies that the TNVTPlus screen is one page with 144 lines.


Specifies that the TNVTPlus screen is two pages with 72 lines.


Specifies that the TNVTPlus screen is three pages with 48 lines.


Specifies that the TNVTPlus screen is four pages with 36 lines.


Specifies that the TNVTPlus screen is five pages with 25 lines.


Specifies that the TNVTPlus screen is six pages with 24 lines.


Specifies that the TNVTPlus screen height is 24 lines.


Specifies that the TNVTPlus screen height is 25 lines.


Specifies that the TNVTPlus screen height is 36 lines.


Specifies that the TNVTPlus screen height is 48 lines.


Displays the Change Font dialog box.


Displays the Change Colors dialog box.


Specifies the display remapping file in use for the current session.


Displays the Display Remapping dialog box.


Sends VT420 control sequences to be interpreted by programs on the network host. The host might prompt you to set this option, and might override it if you set it without being prompted.


Sends an ASCII carriage return (CR) followed by an ASCII line feed (LF) when you press the Enter key. The network host determines how to interpret the characters.

CR sends an ASCII return followed by an ASCII null. Use this setting only if the network system does not respond to the default setting.


Sends an ASCII carriage return (CR) followed by an ASCII null when you press the Enter key. The network host determines how to interpret the characters.

Use this setting only if the network system does not respond to the CR-LF setting.


Sends a horizontal tab when you press the Enter key.


Sends an ASCII carriage return (CR) followed by ASCII line feed (LF) when you press the RETURN key. The network host determines how to interpret the characters.

CR sends ASCII return followed by ASCII null. Use this setting only if the network system does not respond to the default setting.


Sends an ASCII carriage return (CR) followed by ASCII null when you press the RETURN key. The network host determines how to interpret the characters.

Use this setting only if the network system does not respond to the CR-LF setting.


Sends a horizontal tab when you press the Enter key.


Sends an ASCII delete (hexadecimal code 0x7F) when you press the Backspace key. On some network hosts, the erase character is defined as ASCII delete; on others, it is ASCII backspace.


Sends an ASCII backspace (hexadecimal code 0x08) when you press the BACKSPACE key. On some network hosts, the erase character is defined as ASCII delete; on others, it is ASCII backspace.


Sends control sequences for Left, Right, Up, and Down Arrows when you press a cursor key. Cursor keys have arrows on their faces and are located to the right of the main keypad.


Pressing the corner key and an alphanumeric key sends an ASCII SOH character, the other keys code, and an ASCII carriage return.


Pressing the corner key freezes the current data on the screen until the key is pressed again.


Displays the Keyboard Remapping dialog box.


Specifies that designated keys send WordStar compatible codes.


Specifies the keyboard remapping file in use for the current session. Click to specify the LK250 or LK450 keyboard file.


Specifies terminal identification to the network host. You can use this option to specify a terminal identification that differs from your terminal type.


Specifies that special keys defined by Windows will be processed before keys defined by the emulator. Alt-key combinations that are not mapped will also be processed by Windows.


Shows a sample of how text appears with the specified color setting.


Displays the colors you can use to change the foreground color.


Displays the colors you can use to change the background color.


Lists the available characters you can use when selecting color settings.


Specifies that foreground and background colors display for blinking characters.


Specifies that foreground and background colors display for bold characters.


Specifies the name of the file you are transferring from the network host to your local PC, using the selected file transfer protocol.


Specifies the name of the file you are sending from your PC to the network host, using the selected file transfer protocol.


Lists the available protocols you can use to transfer files.


Displays the File Transfer property page so you can set file transfer options.


Sets the print mode to normal. Displays the information from the network host on the screen, but does not send it to the printer.


Takes the output from a program on the network host, displays it to the screen, and sends it to the printer. This option can be initiated by the user or the network host program.

If no other print options are used, the printed output matches the screen display.


Sends information from the network host to the printer. This information does not display on the screen.

If no other print options are used, the printed output is usually sent raw (untranslated) to the printer.


Sends output to the printer when the network host or user ends the print job.

This default setting is available in Autoprint mode and Printer controller mode.


Adds a form feed (page-eject) character at the end of each print job. Form feed (FF) instructs the printer to begin printing on a new page by moving to the top of the next page.

This option is only available when you use the Print raw mode option in Printer controller mode.


Sends raw, untranslated data to the printer. Use this option in conjunction with Printer controller mode to send control sequences to the printer.

 If not selected, and no other print options are used, most of the control sequences are stripped from the data.


Sends display remapped characters to the printer.

This option is only available when you use the Print Raw mode option in Printer controller mode.


Scrolls data up one line when the cursor moves past the last line of the page. If not selected, the cursor returns to the top of the same page.


Displays the previous page when the cursor reaches the top of the page or displays the next page when the cursor reaches the  bottom of the page. If not selected, the cursor wraps on the page or the data scrolls, depending on the Autoscroll setting.


Specifies that multiple print jobs be spooled into a single print job. You must manually send the spool file to the printer. TNVTPlus does not send the spool file to the printer when the network host or user ends the print job.

This option is available in Autoprint mode and Printer Controller mode.

TNVTPlus automatically sends the output to the printer when it is terminated by the user.


Displays the information from the network host on the screen, but does not send it to the printer.


Takes the output from a program on the network host, displays it to the screen, and sends it to the printer. This option can be initiated by the user or the network host program.

If no other print options are used, the printed output matches the screen display.


Sends information from the network host to the printer. This information does not display on the screen.

If no other print options are used, the printed output is usually sent raw (untranslated) to the printer.


Sends output to the printer when the network host or user ends the print job.

This default setting is available in Autoprint mode and Printer controller mode.


Specifies that multiple print jobs be spooled into a single print job. You must manually send the spool file to the printer. TNVTPlus does not send the spool file to the printer when the network host or user ends the print job.

This option is available in Autoprint mode and Printer Controller mode.


Specifies that the file is printed using the printers internal font. This option allows faster printing on dot matrix printers. However, output will not match the screen and problems may occur printing 132 columns, or 80 columns on smaller (A4) paper.

With the exception of raw mode, this option applies to all print modes.


Allows you to send a leading control sequence to the printer at the beginning of the print job.

This option is only available when you use the Print raw mode option in Printer controller mode.

See the topic, Setting print options, for more details.


Allows you to send a trailing control sequence to the printer at the end of the print job and before the form feed terminator (if selected).

This option is only available when you use the Print raw mode option in Printer controller mode.

See the topic, Setting print options, for more details.


Specifies the folder location for the file being received. Click Browse to find the file.


Lists the available options for writing files received during the file transfer process.


Instructs the file transfer process to search in subdirectories for the file(s) to send to the network host.


Removes the complete directory path of both sending and receiving files during the file transfer process.


Restarts the file transfer process for the receiving file from the point in which the crash occurred.


Starts the receive file transfer process automatically.


Resumes the file transfer process for the sending file if part of the file already exists.


Sends packets in 1K as a single block.


Instructs the file transfer process to search in subdirectories for the file(s) to send to the network host.


Removes the complete directory path of both sending and receiving files during the file transfer process.


Sets the file type as ASCII (text). Select when you use the Kermit protocol to send text files to a network host.


Sets the file type as binary. Select when you use the Kermit protocol to send binary files to a network host.


Instructs the file transfer process to search in subdirectories for the file(s) to send to the network host.


Removes the complete directory path of both sending and receiving files during the file transfer process.


Uses a batch protocol during the file transfer process. File transfers using the G option are very fast because it does not acknowledge when a good block is received. If an error occurs, the receiver must abort the file transfer.


Changes the size of the data block from 128 bytes to 1024 bytes.


Lists the available protocols you can use to transfer files.


Includes the current contents of the terminal emulation window into the mail compose window.


Includes selected text from the terminal emulation window into the mail compose window.


Includes the current contents of the terminal emulation scrollback buffer into the mail compose window.


Displays the mail compose window.


Attaches a TNVTPlus session into the contents of the mail message. The session appears as an icon at the top of your mail message.


Prints the current contents of the terminal emulation window.


Prints text selected by the user.


Prints the current contents of the terminal emulation scrollback buffer. Depending on the size of the scrollback buffer, the printed copy may include more information than you see on your screen.


Prints the spool file that you requested TNVTPlus create when you select to print automatically.

After you print this file, TNVTPlus deletes the file and begins saving print jobs to a newly created spool file.


Displays the Printer Setup dialog box. You can select a different printer and change other Windows print options.

Note that changes to print setup are used in subsequent print jobs.  These changes do not effect print jobs in progress.


Specifies automatic selection of the default terminal font.

Terminal Type            Font

VT 420-52                FTP Multinational

Wyse 50/60             FTP Wyse

BBS ANSI               Windows Terminal

SCO ANSI               Windows Terminal

IBM PC                    Windows Terminal

If the Windows terminal font is not available, the font selection defaults to FTP Wyse.


Allows automatic resizing of a TrueType font used in the current session. When you resize the terminal emulation window, or when TNVTPlus receives a request from the network host to change the screen size, the font adjusts to fit the new window size.


Displays the hexadecimal value of the character being received from the network host.


Displays the character being received from the network host.


Shows how the mapped character will display.


Shows the hexadecimal value of the character being mapped.


Lists characters you can select to remap their display.


Redefines the selected key using the settings in the Maps to box.


Resets the selected character to its default mapping.


Resets all characters to their default mappings.


Shows what the terminal emulator displays when it receives the hexadecimal value from the network host.


Specifies that the TNVTPlus screen height is 42 lines.


Specifies that the TNVTPlus screen height is 43 lines.


Specifies that the length of a page of display memory equals the number of lines selected in the Lines option.


Specifies that the length of a page of display memory is two times the value of the Lines option.


Specifies that the length of a page of display memory is four times the value of the Lines option.


Specifies that the length of a page of display memory equals two pages. The first page displays 24 lines and the second page displays 79 lines.


Interrupt Process Command
Interrupt Process command: A TNVTPlus command that terminates a running program on the network host.


TNVTPlus Break Command
break command: A Telnet command that emulates a break key or attention signal on the network host. Not all servers support this feature.


Lock State
lock state: A setting that specifies which, if any, lock key will affect the key's modified shift state.

Valid lock states are Caps Lock, Num Lock, and None.


Shift State
shift state: A setting that specifies a key's modified behavior when Caps Lock or Num Lock is on. Valid shift states are

•	VT52

•	Shift

•	Ctrl

•	Ctrl+Shift

•	Alt

•	Alt+Shift

•	Alt+Ctrl

•	Alt+Ctrl+Shift


Dead Key
dead key: A key that, when pressed, does not display a character, but is combined with the keystroke that follows it to create a composite character. Dead keys are usually used to create letters with accent marks. Sometimes also called non-escaping key.


Compose Key
compose key: The key on the PC keyboard that is mapped to the VT compose key function. On a VT terminal, a compose key lets you combine two or three keystrokes to create a character that is not available on the keyboard. For example, use the compose key to create a letter with an accent mark or a symbol (such as a currency sign), or a ligature. The default compose key for TNVTPlus is Alt+F7.


Auto Print
auto print: A VT220/VT320/VT420 feature that takes the output from a program on the host, displays it to the screen, and stores it in a spool file. With auto print on, everything displayed on the screen is captured in a spool file. Then, when turn auto print is turned off, the data in the spool file is sent to your printer.


Spool File
spool file: A temporary file used to store the output of an auto print or print controller escape sequence until the output is sent to the printer.


connection: The path between two hosts on the network. When two network hosts are connected, they can exchange information. Compare with session.


session: All the interactions between your PC and a host beginning with the initial connection and ending when you or the host explicitly disconnect. The program configuration settings for that host connection are a part of the session.


session definition: The configuration settings for a particular session or host connection. A session definition might include such settings as the hostname of a computer on the network and your login name for that computer, as well as other values that you specify. The set of session parameters you can specify differs with each program.


hostname: The name of a host. The hostname is one form of the computer's TCP/IP network address; the other is its complete numeric network address (IP address). You can access a host by its hostname or its numeric network address.


IP address: A number that uniquely identifies a host that uses the TCP/IP communication protocol. The form of an IP address is four groups of numbers separated by periods, for example, 128.127.55.55. The Internet Protocol is defined in RFC 791.


Telnet: The standard TCP/IP remote login protocol. With Telnet, you can work from your PC as if it were a terminal physically attached to another machine. Some programs that provide Telnet services are TNVTPlus and TN3270/TN5250.


server: A host that makes a service available to other computers on a network (its clients). Typical services include transferring files, printing files, and managing logins from network users.


username: The name, assigned by a network system administrator or an Internet service provider, that you use to log in to a computer on a network.


password: A word or string of characters that you supply to log in to another system, workgroup, or domain on a network. Systems that accept the username anonymous often require you to provide either your e-mail address or guest as the password.


filename conventions: The rules that users of an operating system must follow to name files. A TCP/IP network usually contains computers that run different operating systems. Each operating system has different conventions for naming files. For example, both the number and kinds of characters that can be used in a name are often subject to limits. When you use some TCP/IP supported services such as Telnet and FTP, use the filenaming conventions of the host system to work with files that are on the host.


case sensitivity: The ability of a program to evaluate the difference between the capitalized and non-capitalized versions of a character. Case-sensitive programs treat cat, CAT, and Cat, for example, as distinct items. On a case-sensitive operating system, such as the UNIX system, you must spell commands and filenames with the appropriate capitalization. Case sensitivity also affects the way that files are listed when sorted in alphabetical order.


wildcard: A character such as * or ? that represents one or more characters in a filename. Each operating system supports its own wildcard characters and syntax.


port: A connecting point to a service offered by a host. There are some default ports. For example, hosts that offer FTP services use port 21; hosts that offer Telnet services use port 23; SMTP uses port 25; and Web servers use port 80.


ASCII: An acronym for American Standard Code for Information Interchange. A standard computer character set used in text files. ASCII files do not contain program or formatting instructions.


OLE (Object Linking and Embedding) Automation: A standard interface through which programs make their features available to scripting tools and other programs. You can automate repetitive tasks by writing scripts that use OLE Automation objects.


OLE Automation object: A combination of information and ways of processing that information in OLE Automation. An OLE Automation object has functions that make some of its information and processes available to other programs. These functions are the objects properties and methods.


OLE method: An OLE Automation object function that specifies an action the object can perform.


OLE property: An OLE Automation object function that gets or sets information about the state of the object. For example, the Visible property determines whether the object is visible on the computer screen.


system administrator (or network administrator): The person at your workplace who is responsible for configuring and maintaining your network.


**********************************************************************************************

*History Comments:	*


Contents
TNVTPlus Help Contents

Introducing TNVTPlus

Commands

Compose Key Sequences

Start a Session

Serial Connections

Change Connection Properties

Copy and Paste Output

Save a Session

Close a Session

Capture Output to a File

Print from a Session

Customize the Display

Customize the Keyboard

Transfer Files

Keyboard Remapping Examples

Special Characters

Automate Tasks with Open Object

Troubleshooting

Getting Technical Assistance


Introducing TNVTPlus

What is TNVTPlus?

What is a connection?

What is a session?

What is the TNVTPlus command line?

PC to VT function key mappings

Downloading programmable function keys

Satisfying program requirements


Commands

Abort Output

Are You There

Break

Capture To File

Connect

Disconnect

Full Screen

Interrupt Process

Negotiate Binary Mode On/Off

Negotiate Echo Mode On/Off

Playback

Receive File

Reset Terminal

Send File


Compose Key Sequences

Creating compose sequences for ISO characters, multinational characters, and national character sets

Compose sequences for multinational characters

Compose sequences for ISO characters

Compose sequences for national character sets


Start a Session

Creating a new session

Opening an existing session

Connecting to a previous session

Customizing TNVTPlus on startup

Creating a default session


Serial Connections

Creating a serial connection

Setting up serial communication settings

Connecting to a bulletin board service


Change Connection Properties

Setting general connection properties

Setting keyboard properties

Setting display properties

Setting VT emulation properties

Setting Wyse emulation properties

Setting file transfer properties

Setting print options


Copy and Paste Session Output
Copy and Paste Output

Copying and pasting text

Copying text from scrollback buffer and terminal emulation window


Save a Session

Saving a current session

Saving a copy of the session


Close a Session

Closing a session without exiting from TNVTPlus

Closing a session and exiting from TNVTPlus

Disconnecting from a host


Capture session output to a file
Capture Output to a File

Changing Capture to File settings

Opening an output file

Closing an open output file


Print From a Session

Printing from a session

Printing screen contents

Printing current selection

Printing scrollback buffer contents

Changing print options


Customize the Display

Changing fonts

Changing screen colors

Using an existing display remapping file

Restoring default display mappings

Remapping a display character

Saving display mappings to a file


Customize the Keyboard

Using the floating keyboard

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host


Transfer Files

Sending files from your PC

Receiving files from a network host


Keyboard Remapping Examples

Mapping a key to a text string

Mapping a key to a VT function

Mapping a key to a PC function

Mapping an accent mark as a single character


Special Characters

Creating composite characters with the compose key

Sending special characters to a network host

Creating composite characters with dead keys

Generating an accent mark as a single character

Canceling a compose sequence


Automate Tasks with Open Object

Overview of Open Object

TNVTPLUS Open Object objects, properties, methods, and examples


Troubleshooting

If the network computer does not recognize your terminal type

If extended characters do not display properly

If the terminal window freezes while using the emacs editor

If you encounter difficulties when using an 8-bit terminal emulation with binary mode


What is TNVTPlus?

The TNVTPlus program enables you to connect your PC to a network host using the following terminal emulators:

•	DEC VT420, VT320, VT 220, VT100, VT52

•	Wyse 60, Wyse 50, Wyse 50+

•	BBS ANSI

•	SCO ANSI

•	IBM-PC

The TNVTPlus program also allows you to connect to a network host using a serial connection. Through a communication port, you can connect to a bulletin board service (BBS) or connect directly using a dedicated serial line.

When your PC is connected, your PC and keyboard act as though they are directly connected to the network host, allowing you access to all the programs and services that it offers.

TNVTPlus allows you to perform a variety of tasks, including:

•	Customize your keyboard and display

•	Print screen, scrollback buffer, current spool file, and selected lines

•	Drag and drop text

•	Transfer files using any of the following protocols

-	ASCII

-	KERMIT

-	XMODEM

-	YMODEM

-	ZMODEM

•	Automate tasks with Open Object

Related Topics

What is a connection?

What is a session?


What is a connection?

A connection represents a path between two computers on the network. When two network computers are connected, they can exchange information.

TNVTPlus lets you define sessions that you can use to make connections to other network computers automatically.

Related Topic

What is a session?


What is a session?

A session is the set of interactions between your system and a network host during a connection. TNVTPlus lets you customize and save information about a session so that the program can use the same information for future connections.

You can create session definitions for several network hosts and then choose which session or sessions you want to use when you start TNVTPlus. You also can change characteristics of an existing session and save the changes for future use.

It is sometimes useful to open a session and make changes to it before you connect to the network host. For example, since terminal type is negotiated at connection time, it is recommended that you determine this setting before connecting. You may also prefer to set the keyboard and display characteristics before you establish the connection. When there are already configured sessions, however, you can immediately connect to the network host using a previously defined session.

Related Topic

What is a connection?


Satisfying program requirements

1	Make sure the appropriate account information (for example, username and password) is established for you on the network host.

2	Make sure you are familiar with file naming conventions, case sensitivity rules, and wildcard syntax on the target network machine and your PC.

3	Make sure you define a session with the network host.

Notes

•	If you are uncertain about the following information, contact your system or network administrator.

Telnet Connection

•	Make sure you know the hostname or Internet Protocol (IP) address of the network host that you want to connect to. This computer must be running a Telnet server.

Serial Connection

•	Make sure you know

- Which communication port is set up for a serial connection.

- Your modem settings, port settings, and phone number for dialing a connection.

Related Topics

What is a connection?

What is a session?


What is the TNVTPlus command?
What is the TNVTPlus command line?

To start TNVTPlus from a command line, enter a TNVTPlus command with this format:

tnvt.exe [(session_file | host[:port])]

where

session_file 	Connects to a network host using settings defined in a previously defined session. No other command line options are necessary or valid if you use this option.

host 	Specifies the name or Internet address of the network host to which you want to connect.

port	Specifies an optional port number after the hostname. Use a colon (:) or white space to separate the port number from the host. If you do not specify a port, TNVTPlus uses the default Telnet port of 23.


Customizing TNVTPlus on startup
To customize TNVTPlus on startup

1	Create a new session or open an existing session.

2	On the Settings menu, select the session parameters you want to change.

3	Click OK to accept the new settings.

4	On the Session menu, click Save As, then specify a filename that describes the session.

5	On the File menu in Program Manager, click New.

6	In the New Program Object box, click Program Item, and then OK.

Program Manager displays the Program Item Properties dialog box.

7	In the description box, enter the name the icon to reflect how you have customized it. For example, if the command line specifies a connection to host MAC, you might name the icon MAClogin.

8	In the command line box, specify the filename TNVT16.EXE, followed by any command line options you want to use.

9	In the working directory box, specify the location of the customized session, and then click OK.

10	On the Program Manager, click the session icon to start your customized Telnet session.

Related Topics

Creating a new session

Opening an existing session

Connecting to a previous session


Creating a default session
To create a default session

1	On the session menu, click Save As.

2	Enter the filename, default.ste.

Note

•	This procedure allows you to create new default settings for TNVTPlus. When you run TNVTPlus, it will execute with the settings saved in the default session file.


Creating a serial session
To create a new session

To create a Telnet session see, To create a Telnet session.

--or--

To create a serial connection see, To create a serial connection.

Dialog Box Items

Host

Connect using

Terminal type

Show open session dialog at startup

Related Topics

Opening an existing session

Connecting to a previous session

Customizing TNVTPlus on startup

Creating a default session


Creating a Telnet session
To create a Telnet session

1	On the Session menu, click New.

2	In the Host box of the New Session box, type the hostname or Internet Protocol (IP) address of the network host.

3	In the Terminal Type box, click the terminal type identifier.

4	In the Connect Using box, click Telnet. Click Connect to open a Telnet session. Type your account username and password for the network host.

Dialog Box Items

Host

Connect using

Terminal type

Show open session dialog

Related Topics

Opening an existing session

Connecting to a previous session

Customizing TNVTPlus on startup

Creating a default session


Opening an existing session
To open an existing session

1	On the Session menu, click Open.

2	In the Open box, click a session from the list.

3	Click Open to connect to the network system.

Related Topics

Creating a new session

Connecting to a previous session

Customizing TNVTPlus on startup


Connecting to a previous session
To connect to a previous session

1	On the Session menu, click Connect.

2	Type your account username and password for the network host.

Related Topics

Connect

Creating a new session

Opening an existing session

Customizing TNVTPlus on startup

Setting general connection properties


Creating a Serial Connection
To create a serial connection

1	On the Session menu, click New.

2	In the Connect Using box, click the communication port COM1, COM2, COM3, or COM4.

3	In the Terminal Type box, click the terminal type, then click OK.

4	Enter your communication settings, or use the default settings, then click OK. TNVTPlus automatically attempts to establish your serial connection.

Dialog Box Items

Host

Connect using

Terminal type

Show open session dialog at startup

Note

•	Refer to your hardware documentation for the modem and port settings.

Related Topics

Setting up serial communication settings

Connecting to a bulletin board service


Setting up serial communication settings
To set up serial communication settings

1	Click the option that sets up your serial connection.

2	Enter the necessary modem settings if you are using a modem.

3	Enter the port settings or use the default settings.

4	Click OK. TNVTPlus automatically attempts to establish your serial connection.

Dialog Box Items

Use the modem connected to this port

Use this port directly

Number to dial

Use touch tone dialing

Use pulse dialing

Response timeout

Initialization string

Bits per second

Data bits

Parity

Stop bits

Flow control

Note

•	Refer to your hardware documentation for the modem and port settings.

Related Topics

Creating a serial connection

Connecting to a bulletin board service


Connecting to a bulletin board service (BBS)
To connect to a bulletin board service (BBS)

1	On the Session menu, click New.

2	In the Connect Using box, click the communication port connected to your modem.

3	In the Terminal Type box, click BBS ANSI, then click Continue.

4	In the Com Properties dialog box, enter your communication settings, or use the default settings.

5	Enter the phone number to be dialed, then click OK. TNVTPlus automatically attempts to establish your serial connection.

Related Topics

Creating a serial connection

Setting up serial communication settings


Capture To File

1	On the Session menu, click Capture To File.

2	Click Start Capture to record session output in a file on your PC.

3	Enter the filename of the ouptut file and click OK.

4	Click Stop Capture to stop recording output.

Notes

•	The default filename extension is .cte.

•	Click Playback to display the results of the recorded session file.

•	Click Settings to change the Capture to File default settings.

•	In addition to writing network system output to the file, TNVTPlus records the session name and the name of the network host to which you are connected. If a connection closes, is reset, or reopens, the file also includes that information.

•	The Capture To File command records escape sequences, providing a useful feature for troubleshooting.

Related Topics

Changing Capture to File settings

Opening an output file

Closing an open output file

Playback


Opening an output file
To open an output file

1	Open the session whose output you want to capture.

2	On the Session menu, click Capture To File.

3	Click Start Capture.

4	Type the filename for the output file.

--or--

Browse through the directory structure and select a filename.

5	Click OK.

6	If the file you specify already exists, TNVTPlus prompts you to verify that you want to overwrite it. Click Yes to overwrite the contents of the file with output from the current session.

--or--

Click No if you do not want to overwrite the file.

Related Topics

Capture to File

Changing Capture to File settings

Closing an open output file

Playback


Closing an open output file
To close an open output file

1	On the Session menu, click Capture to File.

2	Click Stop Capture.

--or--

Let the output file close automatically when you close the session.

Note

•	Click Playback to display the results of the recorded session file.

Related Topics

Capture to File

Changing Capture to File settings

Opening an output file

Playback


Changing Capture to File settings
To change Capture to File settings

1	Enter a default directory to save the output file.

2	Click the option, Capture Telnet protocol data, if you want to capture Telnet data.

Dialog Box Items

File Capture directory

Capture Telnet protocol data

Related Topics

Capture to File

Opening an output file

Closing an open output file

Playback


Playback

1	On the Session menu, click Capture to File.

2	Click Playback.

3	Enter the filename and click OK.

Related Topics

Capture to File

Opening an output file

Closing an open output file

Changing Capture to File settings


Setting general connection properties
To set general connection properties

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the Communications button to change Telnet communication settings.

--or--

Click the tab for any other session options you want to change.

Notes

•	Use the General tab page to

-	Change host, type of connection, and terminal type

-	Set up automatic login, echo mode, automatic connection, and to disconnect on exit

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Dialog Box Items

Host

Connect using

Terminal type

Let host echo (Remote)

Always echo (Local)

Host default

Automatic connection

Exit on disconnect

Auto wrap

Warning bell

Margin bell

Username

Username prompt

Password

Password prompt

Save password

Related Topics

Connect

Setting keyboard properties

Setting display properties

Setting Telnet communication settings

Setting VT emulation properties

Setting Wyse emulation properties

Setting file transfer properties

Setting print options

Reset Terminal


Setting keyboard properties
To set keyboard properties

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the tab for any other session options you want to change.

Notes

•	Use the Keyboard tab page to set the following keyboard options:

-	Enter key.

-	Keypad mode.

-	Backspace key.

-	Cursor keys mode.

-	Wyse corner key.

-	Windows special keys.

-	Wyseword mode.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Dialog Box Items

Carriage return, line feed

Carriage return only

Tab (WYSE only)

Numeric

Application

Normal

Application

Carriage return, line feed

Carriage return only

Tab (WYSE only)

Delete

Backspace

Function

Hold

Keyboard remapping file

Change

Enable Windows special keys

Use WYSE WordStar-compatible codes

Related Topics

Setting general connection properties

Setting display properties

Setting Telnet communication settings

Setting VT emulation properties

Setting Wyse emulation properties

Setting file transfer properties

Setting print options


Setting display properties
To set display properties

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the tab for any other session options you want to change.

Notes

•	Use the Display tab page to set

-	Columns.

-	Wyse economy mode.

-	Page memory.

-	Scroll rate.

-	Buffer size.

-	Lines.

-	Display remapping file.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Dialog Box Items

Columns

WYSE economy mode

Clear screen when changed

Scroll rate

Buffer size

1 page with 144 lines

2 pages with 72 lines

3 pages with 48 lines

4 pages with 36 lines

5 pages with 25 lines

6 pages with 24 lines

24 lines

25 lines

36 lines

48 lines

Change Font

Change Colors

Display remapping file

Change

Related Topics

Setting general connection properties

Setting keyboard properties

Setting Telnet communication settings

Setting VT emulation properties

Setting Wyse emulation properties

Setting file transfer properties

Setting print options


Setting telnet communication settings
To set Telnet communication settings

1	Click or enter the settings you want to use.

2	Click OK to accept the new settings.

3	Click the tab for any other session options you want to change.

Notes

•	Use the Communication Settings dialog box to

-	Set up Telnet terminal negotiation.

-	Change Telnet communication settings.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Dialog Box Items

Port name or number

All

Current

Custom

Use line mode

Use window size option

Use binary mode for 8-bit terminal modes

Let remote host do flow control

Location option string

Related Topics

Negotiate Binary Mode On/Off

Setting general connection properties

Setting keyboard properties

Setting display properties

Setting VT emulation properties

Setting Wyse emulation properties

Setting file transfer properties

Setting print options


Setting VT emulation properties
To set VT emulation properties

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the tab for any other session options you want to change.

Notes

•	Use the VT Emulation tab page to set

-	Status line.

-	Character set mode.

-	Default character sets.

-	Control characters.

-	Terminal identification.

-	Coupling options.

-	Cursor direction.

-	Copy and paste direction.

-	Answerback string.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Dialog Box Items

Off

Indicator

Writable

Terminal identification

Page coupling

Cursor coupling

Cursor direction: left to right

Cursor direction: right to left

Multinational (8-bit characters)

National (7-bit characters)

Use 8-bit control characters

Default multinational character set

Default national character set

Copy and paste direction: left to right

Copy and paste direction: right to left

Answerback string

Conceal answerback string

Related Topics

Setting general connection properties

Setting keyboard properties

Setting display properties

Setting Telnet communication settings

Setting Wyse emulation properties

Setting file transfer properties

Setting print options


Setting Wyse emulation properties
To set Wyse emulation properties

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the tab for any other session options you want to change.

•	Use the Wyse Emulation tab page to set

-	Status line.

-	Labels.

-	Write-protect fields.

-	Carriage return.

-	Block end.

-	Answerback string.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Dialog Box Items

Standard

Extended

Off

Save labels on exit

Use autoscrolling mode

Use autopage mode

Dim

Invisible

Blinking

Underline

Reverse

Answerback string

Conceal answerback string

CR

CRLF

US / CR

CRLF / ETX

Related Topics

Setting general connection properties

Setting keyboard properties

Setting display properties

Setting Telnet communication settings

Setting VT emulation properties

Setting file transfer properties

Setting print options


Setting file transfer properties
To set file transfer properties

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the tab for any other session options you want to change.

Notes

•	Use the File Transfer tab page to

-	Select your transfer protocol.

-	Specify folder location for file being received.

-	Set protocol options.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

•	You must initiate the file transfer process on the network host before you send or receive files. See your system administrator or refer to your protocol documentation for more information about using file transfer protocols.

Dialog Box Items

Transfer protocol

Receive to

Overwrite options

Recurse subdirectories

Strip directory path

Crash recovery

Automatically start receive

Resume send

Use window

Recurse subdirectories

Strip directory path

Binary

ASCII text

Recurse subdirectories

Strip directory path

Use G option

1K block size

Related Topics

Send File

Receive File

Setting general connection properties

Setting keyboard properties

Setting display properties

Setting Telnet communication settings

Setting VT emulation properties

Setting Wyse emulation properties

Setting print options


Setting print options
To set print options

1	Click or enter the settings you want to use.

2	Click Apply and then OK to accept the new settings.

3	Click the tab for any other session options you want to change.

Notes

•	Use the Print Options tab page to set

-	Print mode.

-	Automatic or manual print output.

-	Print characters and control sequences.

•	To save these settings as a new session, on the Session menu, click Save As. Then specify a filename that describes the session.

Notes

Format of Control Sequences

Information in the Lead and Trail control sequence edit control boxes is generally changed at the discretion of the system administrator. This information is specific to the printer and usually needs to be changed for other types of printers.

You can enter the following characters:

Characters	Result

Normal	Printer receives character displayed.

Special	Note that case is sensitive.

\a	audible bell

\b	backspace

\e	escape

\f	form feed

\n	new line

\r	carriage return

\t	horizontal tab

\v	vertical tab

\\	backslash

\	since quote

\	double quote

Enter other special characters with this format:

\xnn

where

x	Specifies a hexadecimal number.

nn	Specifies the value of the hexadecimal number.

Dialog Box Items

Off

Send data to the screen and the printer (Autoprint)

Send data only to the printer (Printer controller)

Automatically

Manually

Print raw mode

Use display mappings

Use form feed terminator

Use printer font

Lead control string

Trail control string

Print Setup

Related Topics

Changing print options

Setting general connection properties

Setting keyboard properties

Setting display properties

Setting Telnet communication settings

Setting VT emulation properties

Setting Wyse emulation properties

Setting file transfer properties


Copying and pasting text
To copy and paste text

1	Use the mouse to highlight the text you want to copy.

2	Click Copy on the Edit menu of whichever program has the text you are copying.

3	Place the cursor where you want the text (in the terminal emulation window or in the window for another program) and on the Edit menu, click Paste.

Tips

•	You can select text and drag it to a new location.

•	You can select a word by double-clicking the left mouse button.

•	You can copy and paste text within the terminal emulation window.

•	You can also transfer small amounts of text between the local system and a network host by copying and pasting to or from a window on the local system, from or to the terminal emulation window. However, to transfer entire files use the FTP program.

Related Topic

Copying text from scrollback buffer and terminal emulation window


Copying text from scrollback buffer and terminal emulation window
To copy text from scrollback buffer and terminal emulation window

•	On the Edit menu, click Select All.

Notes

•	This option selects everything in the terminal emulation window, including text that has scrolled out of view, and copies it on the Clipboard. You can then paste the text into other Windows programs.

•	You can also select all the text and drag it to a new location.

Related Topic

Copying and pasting text


Saving a current session
To save a current session

1	While a session is open, on the Session menu, click Save.

2	Type the filename for the output file.

--or--

Browse through the directory structure and select a filename.

3	Click OK.

4	If the file you specify already exists, TNVTPlus prompts you to verify that you want to overwrite it. Click Yes to overwrite the contents of the file with output from the current session.

--or--

Click No if you do not want to overwrite the file.

Tip

•	After you define and save a new session, you can simply use its name to connect to a network host.  If you make changes to an existing session, you must save the session again if you want the changes to carry over to subsequent instances of the session.

Related Topics

Saving a copy of the session

Closing a session without exiting from TNVTPlus


Saving a copy of the session
To save a copy of the session

1	While a session is open, on the Session menu, click Save As.

2	Type the new name of the session, and click OK.

Related Topics

Saving a current session

Closing a session without exiting from TNVTPlus


Closing a session without exiting from TNVTPlus
To close a session without exiting from TNVTPlus

1	If you want to save session definitions, on the Session menu, click Save or Save As.

2	Type the session filename and location, and click OK.

3	On the Session menu, click Disconnect.

Related Topics

Closing a session and exiting from TNVTPlus

Disconnecting from a host

Disconnect


Closing a session and exiting from TNVTPlus
To close a session and exit from TNVTPlus

1	If you want to save session definitions, on the Session menu, click Save or Save As.

2	Type the session filename and location, and click OK.

3	On the Session menu, click Exit.

Related Topics

Closing a session without exiting from TNVTPlus

Disconnecting from a host

Disconnect


Disconnecting from a host
To disconnect from a host

•	While a session is open, on the Session menu, click Disconnect.  TNVTPlus closes the connection to the network host and keeps the session open.

Tips

If you selected the Exit on disconnect option on the General tab page, TNVTPlus exits when you click Disconnect.

After you click Disconnect

•	You can press the Enter key and reconnect to the same host.

•	You can change the current session parameters and reconnect to the same host, or you can close the current session.

Related Topics

Closing a session without exiting from TNVTPlus

Closing a session and exiting from TNVTPlus

Disconnect


Printing from a session
To print from a session

1	On the Session menu, click Print.

2	Click the print option.

Note

•	You must install and configure a printer in Windows before you can use this option. If your PC is connected to a printer, either locally or over the network, you can print terminal emulation screens during a session. The emulator sends data to the default printer port.

Dialog Box Items

Screen contents

Selected lines

Screen and scrollback buffer

Current spool file

Related Topics

Printing current selection

Printing scrollback buffer contents

Changing print options


Printing screen contents;
To print screen contents

1	On the Session menu, click Print.

2	Click Screen Contents.

Note

•	TNVTPlus prints the contents of terminal emulation window. The printed output matches the contents shown on the screen.

Related Topics

Printing from a session

Printing current selection

Printing scrollback buffer contents

Changing print options


Printing scrollback buffer contents
To print scrollback buffer contents

1	On the Session menu, click Print.

2	Click Screen and Scrollback Buffer.

Note

•	TNVTPlus prints the current contents of the terminal emulation scrollback buffer. Depending on the size of the scrollback buffer, the printed copy might include more information than you see on your screen.

Related Topics

Printing from a session

Printing screen contents

Printing current selection

Changing print options


Printing current selection
To print current selection

1	Select the text you want to print.

2	On the Session menu, click Print.

3	Click Current Selection.

Related Topics

Printing from a session

Printing screen contents

Printing scrollback buffer contents

Changing print options


Changing print options
To change print options

1	On the Session menu, click Properties.

2	Click the Print Options tab and click Print Setup.

3	Click the printer settings you want to use.

Note

•	The settings you can change depend on the type of printer you have. Click the different tabs to see all of the options you can set.

Related Topics

Printing from a session

Printing screen contents

Printing current selection

Printing scrollback buffer contents


Changing fonts
To change fonts

1	On the Session menu, click Properties.

2	Click the Display tab.

3	Click Change Font.

4	Click the font settings you want to use.

Dialog Box Items

Automatically select font

Scale font to window

Related Topics

Changing screen colors

Setting display properties


Changing screen colors
To change screen colors

1	On the Session menu, click Properties.

2	Click the Display tab.

3	Click Change Colors.

4	Click the character type.

5	Click the foreground color to change the text color.

6	Click the background color to change the background color.

7	Repeat steps 4 through 6 to change the colors of other types of characters.

Notes

•	For SCO ANSI, the preferred color selection is a white foreground with a black background.

•	The colors default to the Windows color settings.

Dialog Box Items

Colors

Foreground color

Background color

Use color for blinking text

Use color for bold text

Sample

Related Topics

Changing fonts

Setting display properties


Using an existing display remapping file
To use an existing display remapping file

1	On the Session menu, click Properties.

2	Click the Display tab.

3	Type the name of the display remapping file you want to use.

--or--

Click Browse to search through the folders and click a filename.

4	Click OK to return to your session.

5	If you want to use the same remapping file for subsequent instances of this session, on the Session menu, click Save.

Note

•	The file you select becomes part of the active session definition. You can use it without modification or you can change it.

Related Topics

Restoring default display mappings

Remapping a display character

Saving display mappings to a file


Remapping a display character
To remap a display character

1	On the Session menu, click Properties.

2	Click the Display tab and then click Change.

3	In the Receives list box, click the character whose mapping you want to redefine.

4	In the Displays list box, click a character to replace the character highlighted in the Receives list box.

5	Click Map to remap the character.

--or--

Click Reset to return to the characters default setting.

6	Repeat these steps for as many characters as you want to map.

7	When you finish mapping characters, you can either save the changes to a file, or choose OK to return to the session and use the mappings for the current session only.

Dialog Box Items

Network host hexadecimal value

Network host character

Mapped character

Hexadecimal value

Receives

Displays

Send inverse mappings to host

Map

Reset

Reset All

Related Topics

Using an existing display remapping file

Restoring default display mappings

Saving display mappings to a file


Saving display mappings to a file
To save display mappings to a file

1	On the Session menu, click Properties.

2	Click the Display tab and then click Change.

3	On the File menu, click Save.

4	Type a name in the File Name box.

5	Click Save in the Save As dialog box to save the file.

6	To return to your session, click OK.

--or--

On the File menu, click Exit.

Notes

•	The default filename extension is .dis. For example, type:

c:\displays\newmap.dis

•	If you want to use the same remapping file for subsequent instances of this session, on the Session menu in the main window, click Save.

Related Topics

Using an existing display remapping file

Restoring default display mappings

Remapping a display character


Restoring default display mappings
To restore default display mappings

•	Click the Reset All button in the Display Mapping dialog box.

Tips

•	If you decide to discontinue use of a display remapping file for this session, you can return to the default mappings for all characters.

•	To return to the default display mapping for a character, click the character in the Receives list box; then click Reset.

Related Topics

Using an existing display remapping file

Remapping a display character

Saving display mappings to a file


Using the floating keyboard

1	On the View menu, click the Keyboard. This displays a floating keyboard with a view of the keyboard for the type of terminal you are emulating.

2	Place the mouse pointer on a key to display on the status bar the mapping of the terminal key to the PC key.

3	Click Close to exit from the keyboard.

Notes

•	Clicking a modifier key, such as Shift or Ctrl, makes the key act like a lock key. This action toggles the state of the keyboard so you can enter a complex keystroke that requires clicking a modifier key with another key.

•	You can resize the floating keyboard.

•	You can drag and drop the floating keyboard to move it to another location.


Using an existing keyboard remapping file
To use an existing keyboard remapping file

1	On the Session menu, click Properties.

2	Click the Keyboard tab.

3	Click the Keyboard Remapping box to select the LK250 or LK450 keyboard file.

--or--

Type the name of the keyboard remapping file you want to use in the Keyboard Remapping box.

--or--

Click Browse to search through the folders and click a filename.

Note

•	The file you select becomes part of the active session definition. You can use it without modification or you can change it.

Related Topics

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Using an external default keyboard remapping file
To use an external default keyboard remapping file

1	On the Session menu, click Properties.

2	Click the Keyboard tab.

3	Type the name of the keyboard remapping file you want to use as a default in the Keyboard Remapping box.

---or---

Click Browse to search through the folders and click a filename.

Notes

•	This feature allows you to change the values that keys are mapped to by default, without using a keyboard remapping file.

•	The file you select becomes part of the active session definition. You can use it without modification or you can change it.

Related Topics

Using an existing keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Creating new key mappings
To create new key mappings

1	On the Session menu, click Properties.

2	Click the Keyboard tab and click the Change button.

3	In the Keyboard Remapping dialog box, click the key that you want to map.

4	If you want the mapping to apply when you press the key along with another key, such as Shift, Ctrl, or Alt, at Key to Map, select the appropriate box or boxes.

5	In the New Mapping box, type any combination of text strings, special characters, control sequences, and function keys that you want to send to the network host when you press the key. You can double-click an item in any of the list boxes to append it to the contents of the New Mapping box.

6	Click Map to redefine the key.

7	In the confirmation dialog box, click Yes to map the key.

--or--

Click No, if you do not want to map the key.

8	Repeat steps 1 through 5 to map additional keys.

9	When you finish mapping keys, save the changes to a file.

--or--

Click OK to return to the current session and use the mappings for the current session only.

Notes

•	If you have previously mapped the key, or if the key is mapped by default, the Current Mapping box indicates what the key currently sends. You cannot change this box.

•	If you select a dead key, the name of the key (for example, "grave accent" or "umlaut") appears instead of the symbol.

•	If you remap a Windows Hot key, you can get both the mapping for the Hot key and for the session.

Dialog Box Items

Keyboard key

Shift

Ctrl

Alt

(select key)

Current mapping

New mapping

Text

Control

VT420 keys

PC keys

Map

Reset

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Listing current mappings
To list current mappings

1	On the Session menu, click Properties.

2	Click the Keyboard tab, then click the Change button.

3	On the Mappings menu, click List.

Note

•	TNVTPlus displays a listing of all keys that you have mapped for the current session.

Dialog Box Item

List mappings key

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Changing an existing key mapping
To change an existing key mapping

1	On the Session menu, click Properties.

2	Click the Keyboard tab, then click the Change button.

3	Use the Keyboard Remapping dialog box to remap the key.

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Restoring all default key mappings
To restore all default key mappings

1	On the Session menu, click Properties.

2	Click the Keyboard tab and click the Change button.

3	On the Mappings menu, click Reset All.

4	If you want to save your current mappings to a file, click Yes.

--or--

If you do not want to save your current mappings to a file, click No.

Note

•	If you have mapped keys since last saving mappings to a file, a confirmation dialog box appears, prompting you to confirm saving the mappings.

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Restoring a default key mapping
To restore a default key mapping

1	On the Session menu, click Properties.

2	Click the Keyboard tab and click the Change button.

3	In the Keyboard Remapping dialog box, click the key whose default mapping value you want to restore.

The Current Mapping box indicates what the key currently sends.

4	Click the Reset button.

5	If you want to map the key, in the confirmation dialog box, click Yes.

--or--

Click No, if you do not want to map the key.

The Current Mapping box updates to indicate the key's default mapping value.

Note

•	If you have mapped a key, you can click to restore its default mapping value.

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Setting up an international keyboard
To set up an international keyboard

1	In the Windows Control Panel, click the International icon.

2	Click the keyboard layout you want to use.

Notes

If you configure an international keyboard through Windows, you can use that keyboard layout in TNVTPlus. When the Windows international keyboard driver is enabled, you will notice the following differences in the TNVTPlus Keyboard Remapping dialog box:

•	The keyboard layout that appears depends on the layout that you configure in Windows. Alphanumeric keys are labeled appropriately for the keyboard layout. With some keyboard layouts, the function key names are translated; with other layouts, the key names are not translated. (This feature is determined by the Windows keyboard driver, not TNVTPlus.)

•	The Alt key on the right side of the keyboard is mapped to the Alt+Graphic function (Alt+Gr in the PC Keys box). Pressing Alt+Gr has the same effect as pressing Ctrl and Alt simultaneously. When you select this key in the Keyboard Remapping dialog box, the Current Mapping box displays Alt (a Windows limitation), but the key actually is mapped to Alt+Gr.

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys


Sending special characters to a network host
To send special characters to a network host

You can use any of the following methods to send special characters to the host:

•	Use the VT Compose key to send a sequence of characters. By default, Alt+F7 is defined as the compose key, but you can assign another key to this function with the Keyboard Remapping dialog box.

The Alt key on the right side of the keyboard is mapped to the Alt+Graphic function, not to Compose.

•	Use the PC dead key to combine two characters into one visible character.

•	Select from the available keys in the DEC multinational character set. In the Keyboard Remapping dialog box, the Text List box lists the keys available in the DEC multinational character set. The keys listed depend on the settings currently configured for your session.

Notes

•	You can send to a network host characters that do not appear on the keyboard. For example, you can send characters with accent marks, ligatures (diphthongs), or special characters like currency symbols, superscripts, and fractions.

•	The characters shown on your screen depend on your current configuration (display mapping, character sets, and fonts).

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Canceling a key's shift state

PC to VT function key mappings

Downloading programmable function keys

Setting up an international keyboard


Creating composite characters with the compose key
To create composite characters with the compose key

1	Press the Compose key.

2	Type one of the characters of the sequence you want to create.

3	Type the other character of the sequence.

The composite character is sent to the host.

Notes

•	The order in which you type the characters is significant in only a few sequences, such as ligatures (diphthongs) and fractions. Refer to Compose Key Sequences for a complete list of VT compose sequences.

•	If you type an invalid compose character sequence, a beep sounds, and no character appears.

•	The status line displays Compose to indicate that Compose mode is active. The character that you entered in step 2 does not appear.

Related Topics

Sending special characters to a network host

Creating composite characters with dead keys

Generating an accent mark as a single character

Canceling a compose sequence


Creating a composite character with dead keys
To create composite characters with dead keys

1	Press the dead key that corresponds to the accent mark or symbol you want.

2	Type the letter that you want to combine with the accent mark.

The composite character is created and sent to the host.

Notes

•	The character that you typed in step 1 does not appear. (This is the origin of the term, "dead key.")

•	If you type an invalid character sequence, the two characters you typed will appear side by side. For example, if you type a circumflex and then the letter z, and this sequence is not recognized by the keyboard driver, the result is a circumflex followed by a z (instead of a circumflex over the z).

•	You cannot embed a dead key sequence within a compose key sequence.

Related Topics

Creating composite characters with the compose key

Sending special characters to a network host

Generating an accent mark as a single character

Canceling a compose sequence


Generating an accent mark as a single character
To generate an accent mark as a single character

1	Press the dead key that corresponds to the accent mark you want.

2	Press the space bar.

Related Topics

Creating composite characters with the compose key

Sending special characters to a network host

Creating composite characters with dead keys

Canceling a compose sequence


Canceling a compose sequence
To cancel a compose sequence

•	If you started a compose sequence and you want to cancel it, press the Delete key.

Notes

•	If you press the Compose key while already in Compose mode, the first sequence is canceled and a new compose sequence is started.

•	Pressing any of the following keys cancels a compose sequence and the keys perform their usual function:

−	Tab

−	Return

−	Enter

−	Function keys on the top row of the keyboard

−	Combinations of Ctrl and another key

−	Decimal point (.) on the numeric keyboard

Related Topics

Creating composite characters with the compose key

Sending special characters to a network host

Creating composite characters with dead keys

Generating an accent mark as a single character


PC to VT function key mappings

The following list shows VT keys and the PC keys you press to emulate their functions during a TNVTPlus session. "Keypad" refers to the auxiliary (numeric) keypad to the right of the main keypad.

VT Key	PC Key

Cursor Control Keys

Up arrow	F5 or keypad 8 (or up arrow on enhanced keyboards)

Down arrow	F6 or keypad 2 (or down arrow on enhanced keyboards)

Left arrow	F7 or keypad 4 (or left arrow on enhanced keyboards)

Right arrow	F8 or keypad 6 (or right arrow on enhanced keyboards)

Auxiliary Keypad Keys

0	0 (with Num Lock on)

1	1

2	2 (with Num Lock on)

3	3

4	4 (with Num Lock on)

5	5

6	6 (with Num Lock on)

7	7

8	8 (with Num Lock on)

9	9

. (period)	. (period)

Enter	Enter (or +)

, (comma)	- (or ,)

- (hyphen)	* (Print Scrn)

PF Keys (VT100, VT220, VT320, and VT420 Modes Only)

PF1	F1

PF2	F2

PF3	F3

PF4	F4

Function Keys (VT220, VT320, and VT420 Modes Only)

F2	Ctrl+F2

F6	Ctrl+F6

F7	Ctrl+F7

F8	Ctrl+F8

F9	Ctrl+F9

F10	Ctrl+F10

F11	Alt+ Ctrl+F1

F12	Alt+ Ctrl+F2

F13	Alt+ Ctrl+F3

F14	Alt+ Ctrl+F4

F15 (Help)	Alt+ Ctrl+F5

F16 (Do)	Alt+ Ctrl+F6

F17	Alt+ Ctrl+F7

F18	Alt+ Ctrl+F8

F19	Alt+ Ctrl+F9

F20	Alt+ Ctrl+F10

Programmable Function Keys (VT220, VT320, and VT420 Modes Only)

Shift +F6	Shift+F6

Shift +F7	Shift+F7

Shift +F8	Shift+F8

Shift +F9	Shift+F9

Shift +F10	Shift+F10

Shift +F11	Alt+ Shift+F1

Shift +F12	Alt+ Shift+F2

Shift +F13	Alt+ Shift+F3

Shift +F14	Alt+ Shift+F4

Shift +F15	Alt+ Shift+F5

Shift +F16	Alt+ Shift+F6

Shift +F17	Alt+ Shift+F7

Shift +F18	Alt+ Shift +F8

Shift +F19	Alt+ Shift+F9

Shift +F20	Alt + Shift+F10

Editing Keys (VT220, VT320, and VT420 Modes Only)

Find	Alt+F (or Insert key on enhanced keyboards)

Insert	Alt+I (or Home key on enhanced keyboards)

Remove	Alt+R (or Page Up key on enhanced keyboards)

Select	Delete key on enhanced keyboards

Previous Screen 	Alt+P (or End key on enhanced keyboards)

Next Screen	Alt+N (or Page Down key on enhanced keyboards)

Other VT320 and VT420 Keys

Compose	Alt+F7

Note

•	Some VT functions keys (F1, F3, F4, and F5) do not have corresponding PC key mappings because they are used for hardware functions on a real VT terminal.

Related Topic

Downloading programmable function keys


Downloading programmable function keys
To download programmable function keys

You can redefine the programmable VT420/320/220 function keys (F7 through F20) for terminal emulation by sending control sequences from the network host.

If the network host is a UNIX system, the easiest method is to create a file containing the control sequences on the network host, then use the UNIX cat command to send (download) the contents of the file across the network to your PC.

The format of a key definition control sequence is as follows:

start-character clear-parameter ; lock-parameter | key# / string end-character

where

start-character	Is a control character indicating that what follows is a device control string. To generate the 7-bit ASCII representation of this unprintable control character, press Esc+P while using a text editor in literal mode. The character appears as ^[P in your file.

clear-parameter	Specifies which of the programmable function keys (F6 through F20) to clear. A value of 0 clears the definition of all programmable function keys before loading new values onto the keys. A value of 1 clears only keys for which there are new definitions. A semicolon separates this parameter from the lock parameter.

lock-parameter	Specifies whether or not the key definitions can change during the session. A value of 0 prevents redefinition of the key (locks it). A value of 1 means that the key definition is modifiable. A vertical bar separates this parameter from the remainder of the control sequence.

key#	Identifies the key to define. The function keys have the following identifiers:

Key	Identifier

F6	17

F7	18

F8	19

F9	20

F10	21

F11	23

F12	24

F13	25

F14	26

F15	28

F16	29

F17	31

F18	32

F19	33

F20	34

string	Specifies the hexadecimal value of the ASCII string that you want the key to send. A slash separates the key identifier and its associated string. You can define several pairs of key identifiers and strings, separating each pair with a semicolon.

end-character	Indicates the end of the control sequence. To generate the 7-bit ASCII representation of this unprintable control character, press Esc+\ while using a text editor in literal mode. The character appears as ^[\ in your file.

To invoke a reprogrammed function key

•	Press the Shift key followed by the function key.

•	For example, if you have reprogrammed the F12 key, invoke it by pressing the Shift key followed by the F12 key

For a more detailed description of redefining programmable function keys, refer to the VT420 Programmers Reference Manual.

Note

•	To be able to generate and see unprintable ASCII escape sequences in your text file, you must use a text editor in literal mode. For example, in the vi editor, use the Ctrl+V command to enter literal mode.

Related Topic

PC to VT function key mappings


Creating compose sequences for ISO characters, multinational characters, and national character sets
To create compose sequences for ISO characters, multinational characters, and national character sets

•	Press the Compose key and then type the characters in the Sequence column.

Notes

•	You must be using an appropriate keyboard driver (set through the Windows Control Panel) to produce these characters. For the characters to appear on your screen, you must also select the appropriate character sets.

•	You can use the dieresis (¨) and ring (°) characters in a compose sequence (for example, to generate Ä) only if you have a keyboard driver that produces these symbols in a single keystroke. You cannot embed a dead key sequence within a compose sequence.

Related Topic

Compose sequences for multinational characters

Compose sequences for ISO characters

Compose sequences for national character sets


Compose sequences for multinational characters

The order in which you type the characters in the right column does not matter except where indicated, such as for ligatures (diphthongs) and fractions. In the table, *** means you must enter the characters in the order shown in the Sequence column.

Character	Name	Sequence
"	quotation mark	" space
#	number sign	++
'	apostrophe	' space
@	commercial at	AA or aa
[	opening bracket	((
\	backslash	// or /<
]	closing bracket	))
ˆ	circumflex accent	ˆ space
`	grave accent	` space
{	opening brace	(-
|	vertical line	/ˆ
}	closing brace	)-
˜	tilde	˜ space
¡	inverted !	!!
¢	cent sign	C/ or C| or c/ or c|
£	pound sign	L- or L= or  l- or l=
¥	yen sign	Y- or Y= or  y- or y=
§	section sign	SO or S! or S0 or  so or s! or s0
¤	currency sign	XO or X0 or xo or x0
©	copyright sign	CO or C0
ª	feminine ordinal	A_ or a_
«	open angle brackets	<<
°	degree sign	0ˆ
±	plus or minus sign	+-
²	superscript 2	2ˆ
³	superscript 3	3ˆ
µ	micro sign	/U or /u ***
¶	paragraph sign	P! or p!
	middle dot	.ˆ
¹	superscript 1	1ˆ
º	masculine ordinal	O_ or o_
»	closed angle brackets	>>
¼	fraction one-quarter	1 4 ***
½	fraction one-half	1 2 ***
¿	inverted ?	??
À	A grave	A`
Á	A acute	A'
Â	A circumflex	Aˆ
Ã	A tilde	A˜
Ä	A umlaut	A" or ¨A
Å	A ring	A* or A°
Æ	A E diphthong	AE ***
Ç	C cedilla	C, (comma)
È	E grave	E`
É	E acute	E'
Ê	E circumflex	Eˆ
Ë	E umlaut	E" or ¨E
Ì	I grave	I`
Í	I acute	I'
Î	I circumflex	Iˆ
Ï	I umlaut	I" or ¨I
Ñ	N tilde	N˜
Ò	O grave	O`
Ó	O acute	O'
Ô	O circumflex	Oˆ
Õ	O tilde	O˜
Ö	O umlaut	O" or ¨O
Œ	O E diphthong	OE ***
Ø	O slash	o/
Ù	U grave	U`
Ú	U acute	U'
Û	U circumflex	Uˆ
Ü	U umlaut	U" or ¨U
Ÿ	Y umlaut	Y" or ¨Y
ß	German small sharp s	ss
à	a grave	a`
á	a acute	a'
â	a circumflex	aˆ
ã	a tilde	a˜
ä	a umlaut	a" or ¨a
å	a ring	a* or a°
æ	a e diphthong	ae ***
ç	c cedilla	c , (comma)
è	e grave	e`
é	e acute	e'
ê	e circumflex	eˆ
ë	e umlaut	e" or ¨e
ì	i grave	i`
í	i acute	i'
î	i circumflex	iˆ
ï	i umlaut	i" or ¨i
ñ	n tilde	n˜
ò	o grave	o`
ó	o acute	o'
ô	o circumflex	oˆ
õ	o tilde	o˜
ö	o umlaut	o" or ¨o
œ	o e diphthong	oe ***
ø	o slash	o/
ù	u grave	u`
ú	u acute	u'
û	u circumflex	uˆ
ü	u umlaut	u" or ¨u
ÿ	y umlaut	y" or ¨y
Related Topics

Creating compose sequences for ISO characters, multinational characters, and national character sets

Compose sequences for ISO characters

Compose sequences for national character sets


Compose sequences for ISO characters

The order in which you type the characters in the right column does not matter except where indicated, such as for ligatures (diphthongs) and fractions. In the table, *** means you must enter the characters in the order shown in the Sequence column.

Character	Name	Sequence
	no break space	space space
¦	broken vertical bar	|| or !ˆ
¬	logical not	- , ***
­	soft (syllable) hyphen	--
®	registered trademark	R O
	macron	-ˆ
¾	fraction three quarters	3 4 ***
÷	division sign	-:
×	multiplication sign	x x
´	acute accent	' '
¸	cedilla	,,
¨	dieresis	" "
Ý	Y acute	Y'
ý	y acute	y'
Þ	capital Icelandic thorn	TH
þ	small Icelandic thorn	th
Ð	capital Icelandic Eth	- D
ð	small Icelandic Eth	- d
Related Topics

Creating compose sequences for ISO characters, multinational characters, and national character sets

Compose sequences for multinational characters

Compose sequences for national character sets


Compose sequences for national character sets

The order in which you type the characters in the right column does not matter except where indicated, such as for ligatures (diphthongs) and fractions. In the table, *** means you must enter the characters in the order shown in the Sequence column.

British

£	pound sign	L- or L= or  l- or l=
`	grave accent	` space
Danish

#	number sign	++
'	apostrophe	' space
@	commercial at	AA or aa
`	grave accent	` space
                                 Dutch

£	pound sign	L- or L= or  l- or l=
'	apostrophe	' space
¼	fraction one-quarter	1 4 ***
½	fraction one-half	1 2 ***
¾	fraction three-quarters	3 4 ***
ij	i j sign	ij ***
f	Florin	f- ***
`	grave accent	` space
´	acute accent	' '
¨	dieresis	" "
 Finnish

#	number sign	++
'	apostrophe	' space
Flemish and French/Belgian

£	pound sign	L- or L= or  l- or l=
'	apostrophe	' space
`	grave accent	` space
French Canadian

'	apostrophe	' space
à	a grave	a`
â	a circumflex	aˆ
è	e grave	e`
ê	e circumflex	eˆ
î	i circumflex	iˆ
ô	o circumflex	oˆ
ù	u grave	u`
û	u circumflex	uˆ
German/Austrian

'	apostrophe	' space
`	grave accent	` space
Italian

'	apostrophe	' space
Norwegian

'	apostrophe	' space
`	grave accent	` space
Portuguese (not supported in VT220 terminal emulation)

'	apostrophe	' space
`	grave accent	` space
Ã	A tilde	A˜
Õ	O tilde	O˜
ã	a tilde	a˜
õ	o tilde	o˜
Spanish

£	pound sign	L- or L= or  l- or l=
'	apostrophe	' space
§	section sign	SO or S! or S0 or  so or s! or s0
`	grave accent	` space
˜	tilde	˜ space
Swedish

#	number sign	++
'	apostrophe	' space
É	E acute	E'
é	e acute	e'
Swiss (French) and Swiss (German)

'	apostrophe	' space
ê	e circumflex	eˆ
î	i circumflex	iˆ
ô	o circumflex	oˆ
ù	u grave	u`
û	u circumflex	uˆ
Related Topics

Creating compose sequences for ISO characters, multinational characters, and national character sets

Compose sequences for multinational characters

Compose sequences for ISO characters


Sending files from your PC
To send files from your PC

1	On the Commands menu, click Send File.

2	Type the name of the file and select a transfer protocol.

--or--

Click Properties to change the file transfer settings.

3	Click OK to accept the new settings.

4	Click OK in the Send File dialog box to send the file.

Notes

•	You must initiate the file transfer process on the network host before you send files from your PC. See your system administrator or refer to your protocol documentation for more information on using file transfer protocols.

•	TNVTPlus does not provide the following Kermit options:

- Sliding window

- Long packets

- Server mode

Dialog Box Items

Filename

Transfer protocol

Properties

Related Topics

Receiving files from a network host

Setting file transfer properties

Receive file


Receiving files from a network host
To receive files from a network host

1	On the Commands menu, click Receive File.

2	Type the name of the file and select a transfer protocol.

3	Click Properties to change the file transfer settings and click OK to accept the new settings.

--or--

4	Click OK in the Receive File dialog box to receive the file.

Notes

•	You must initiate the file transfer process on the network host before you receive files to your PC. See your system administrator or refer to your protocol documentation for more information on using file transfer protocols.

•	TNVTPlus does not provide the following Kermit options:

- Sliding window

- Long packets

- Server mode

Dialog Box Items

Filename

Transfer protocol

Properties

Related Topics

Sending files from your PC

Setting file transfer properties

Send file


Are You There

Requests a response from the network host. Use this command if the connection is open, but the network host does not appear to be responding. Responses can vary depending on the network host.

Related Topics

Abort Output

Negotiate Binary Mode On/Off

Break

Interrupt Process


Abort Output

Requests that the network host stop sending output from the currently executing process.

Related Topics

Are You There

Negotiate Binary Mode On/Off

Break

Interrupt Process


Interrupt Process

Sends a TNVTPlus interrupt process command to the network host.

The response depends on the process that is running on the network host when you send the command. In all cases, the connection remains open unless you explicitly close it.

Related Topics

Abort Output

Are You There

Negotiate Binary Mode On/Off

Break


Break

Sends a Telnet break command to the server.

Related Topics

Abort Output

Are You There

Negotiate Binary Mode On/Off

Interrupt Process


Negotiate Binary Mode On/Off

If selected, requests that TNVTPlus negotiate for a session in which the Telnet binary option is on. In binary mode, all data is in 8-bit format and is interpreted literally, without modification or filtering.

Note

•	Selecting this option does not guarantee that the request will succeed.

Related Topics

Abort Output

Are You There

Break

Interrupt Process

Setting Telnet communication settings


Negotiate Echo Mode On/Off
Negotiate Host Echo Mode On/Off

Negotiate Host Echo Mode On requests that TNVTPlus negotiate the remote echo option.

Negotiate Host Echo Mode Off requests that TNVTPlus negotiate the local echo option.

Note

•	This command displays the status of the Host default item on the General tab page. You can toggle the status of the Host default item by selecting this command.


Receive File

Receives a file from the network host to your local PC, using the selected file transfer protocol.

Related Topics

Receiving files from a network host

Sending files from your PC

Setting file transfer properties

Send file


Reset Terminal

Resets your session to most of the original power-up default settings.

This command clears the screen and moves the cursor to the upper-left corner of the terminal emulation window. It also sets the following internal emulation states back to their default values:

•	Origin mode

•	Cursor visibility

•	Autowrap

•	Cursor keys

•	Top and bottom margins

•	Character sets

•	User-definable keys, macros, and character attributes

Related Topics

Setting general connection properties

Setting Telnet communication settings


Send File

Sends a file from your PC to the network host, using the selected file transfer protocol.

Related Topics

Sending files from your PC

Setting file transfer properties

Receive file


Full Screen

Displays the TNVTPlus session and hides screen elements such as the menus, scroll bars, title bars, and the status bar.

Tips

To return to the previous screen size from Full Screen mode,

•	Click the top left edge of the TNVTPlus window to display the menu bar, and then click the Full Screen command.

•	Click the right mouse button to display the shortcut menu, and then click Full Screen.


Connect

Establishes a connection to the network host defined in the current session. You can use Connect when a session is open but not connected. For example, if you opened a session to modify its parameters, click Connect to make a connection that uses the new parameters.

Related Topic

Setting general connection properties


Disconnect

Gracefully terminates a connection to a network host, and keeps the session open (if you have not selected the Exit on disconnect option). After you click Disconnect, you can change the current session properties and reconnect to the same host, or you can close the current session.

Related Topics

Closing a session and exiting from TNVTPlus

Disconnecting from a host


If the network host does not recognize your terminal type

TNVTPlus negotiates for a terminal type using standard terminal identifiers. If these standard identifiers do not exist in the network host's database, you need to supply an alternate identifier that does exist.

1	Find a terminal ID in the network host's terminal information file (if you are uncertain about how to find this information, ask the administrator of the network system).

2	On the Session menu, click Properties.

3	On the General tab page, click Telnet Settings.

4	Change the negotiation string in the Telnet Terminal Negotiation box.

Related Topics

If extended characters do not display properly

If the terminal window freezes while using the emacs editor

If you encounter difficulties when using an 8-bit terminal emulation with binary mode


If extended characters do not display properly

For extended characters to display properly, the terminal characteristics must be set on the host as follows:

1	After you have connected to the host, enter the following command on the host:

stty -a

If the output shows cs8 and -istrip, the settings are correct.

If the output shows cs7 and istrip, the eighth bit will be stripped and the wrong character will be echoed back.

2	To correct the setting, enter the following command on the host:

stty cs8 -istrip

Related Topics

If the network computer does not recognize your terminal type

If the terminal window freezes while using the emacs editor

If you encounter difficulties when using an 8-bit terminal emulation with binary mode


If the terminal window freezes while using the emacs editor
If the terminal window freezes when you enter ctrl+S while using the emacs editor

•	Click the Let Remote Host Do Flow Control option in the Communications Settings dialog box.

Related Topics

If the network computer does not recognize your terminal type

If extended characters do not display properly

If you encounter difficulties when using an 8-bit terminal emulation with binary mode


If you encounter difficulties when using an 8-bit terminal emulation with binary mode

1	On the Session menu, click Properties, then click the General tab.

2	Click Telnet Settings.

3	Clear the Use Binary Mode for 8-bit Terminal Modes check box.

Note

•	All 8-bit Telnet sessions automatically use binary mode by default.

Related Topics

If the network computer does not recognize your terminal type

If extended characters do not display properly

If the terminal window freezes while using the emacs editor


Mapping a key to a text string
To map a key to a text string

1	In the keyboard display, click the P key. At Key to Map, click the Ctrl box.

2	In the New Mapping box, type the UNIX print command, options, and the name of the print file exactly as you would type it on the network host command line. For example,

lpr -P printer1 test.lpr

sends the contents of the file test.lpr to the printer named printer1.

3	In the VT Keys box, double-click Enter to append it to the print command (this causes TNVTPlus to send the Enter key sequence to the network host). After you add the Enter key, the New Mapping box displays this:

lpr -P printer1 test.lpr<Enter>

4	Click Map.

5	Click Yes in the confirmation dialog box.

Notes

•	Now you can press Ctrl+P to send the print command to the UNIX host.

•	If you have previously mapped the key, the Current Mapping box indicates what the key currently sends. You cannot change this box.

Related Topics

Mapping a key to a VT function

Mapping a key to a PC function

Mapping an accent mark as a single character


Mapping a key to a VT function
To map a key to a VT function

1	In the keyboard display, click the Num Lock key.

If you have previously redefined the key, the Current Mapping box indicates what the key currently sends. You cannot change this box.

2	In the VT Keys box, double-click PF1 to insert it into the New Mapping box.

3	Click Map.

4	Click Yes in the confirmation dialog box.

Now you can use the Num Lock key as the VT420 function key PF1.

Notes

•	Now you can use the Num Lock key as the VT420 function key PF1.

•	If you have previously redefined the key, the Current Mapping box indicates what the key currently sends. You cannot change this box.

Related Topics

Mapping a key to a text string

Mapping a key to a PC function

Mapping an accent mark as a single character


Mapping a key to a PC function
To map a key to a PC function

1	In the keyboard display, select the F12 key.

2	In the PC Keys box, double-click Num Lock to insert it into the New Mapping box.

3	Click Map.

4	Click Yes in the confirmation dialog box to confirm the mapping.

Notes

•	Now you can use the F12 function key as the Num Lock key.

•	If you have previously redefined the key, the Current Mapping box indicates what the key currently sends. You cannot change this box.

Related Topics

Mapping a key to a text string

Mapping a key to a VT function

Mapping an accent mark as a single character


Mapping an accent mark as a single character
To map an accent mark as a single character

1	Press the dead key that corresponds to the accent mark you want.

2	In the Current Mapping box, press the space bar after the dead key.

The accent mark appears by itself.

Related Topics

Mapping a key to a text string

Mapping a key to a VT function

Mapping a key to a PC function


Modifying key shift states; keyshift states,modifying;
To modify key shift states

1	On the Session menu, click Properties.

2	Click the Keyboard tab and click Change.

3	On the Mappings menu, click Sensitivity to Lock Keys.

4	In the key display box, select the key or keys you want to modify.

The keys you select are highlighted.

If you select one key, its sensitivity and behavior appear. If you select more than one key, no information appears.

5	In the New Sensitivity box, click a lock state.

6	In the New Behavior box, click a shift state.

7	Click Set.

8	When prompted, confirm the key mapping modification. After you conform the modification, TNVTPlus displays the key's sensitivity and new behavior.

Notes

•	The keys you select are highlighted. If you select one key, its sensitivity and behavior appear. If you select more than one key, no information appears.

•	Use the Sensitivity to Caps Lock or Num Lock dialog box to modify the behavior of a key.

•	You can use the Caps Lock and Num Lock keys together with the Shift, Ctrl, and Alt keys to modify the behavior of a key. Specifically, you can modify the mapping of a key so that when Caps Lock or Num Lock is on and you press the key, the value sent is the mapping assigned to the shifted state of that key (that is, a chosen combination of Shift, Ctrl, or Alt together with the key).

•	You can use this lock state feature (Caps Lock or Num Lock) only for keys mapped to a simple value, such as a single character or emulator function. This means you cannot modify the lock state of keys mapped to strings. In addition to mappings-to-strings, other exclusions:

-	Internal keys: Ignore, Reboot, Print Screen, and Toggle Print

-	Modifier keys: Shift, Alt, Ctrl

-	Lock keys: Caps Lock, Num Lock, and Scroll Lock

Dialog Box Items

Select key(s)

Sensitivity

Behavior

Result

Caps lock

Num lock

None

New behavior

Set

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Canceling a key's shift state

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys


Canceling a keys shift state
To cancel a key's shift state

1	On the Session menu, click Properties.

2	Click the Keyboard tab and click the Change button.

3	In the Sensitivity to Caps Lock or Num Lock dialog box, click Cancel.

Related Topics

Using an existing keyboard remapping file

Using an external default keyboard remapping file

Creating new key mappings

Listing current mappings

Changing an existing key mapping

Restoring all default key mappings

Restoring a default key mapping

Modifying key shift states

Sending special characters to a network host

PC to VT function key mappings

Downloading programmable function keys


Overview of Open Object

OPEN Object is the implementation of OLE Automation by our programs. Through the object properties and methods of its OPEN Object interface, a program makes it functions available to an OLE Automation controller. For information on the functions of a program, see the program user interface and help. You can use these objects in scripts to automate tasks that a program performs.

To run a script that uses the OPEN Object interface of an program, the system must have the program available to it.

You can use OPEN Object in several ways:

•	You can run scripts that automate procedures. For example, a script could use the features of TNVTPlus to connect to a network computer and run a program, such as generating a database report at the same time every day.

•	You can write, edit, and execute OLE Automation scripts, which you can do using the OPEN Script Editor. You can also run scripts from other OLE controllers such as Microsoft Excel, Lotus 1-2-3, Microsoft Word, and Visio.

•	You can access OPEN Object objects from Visual Basic or C++ programs.


TNVTPlus OPEN Object objects, properties, methods, and examples

Through the object properties and methods of its OPEN Object interface, TNVTPlus makes its functions available to OLE Automation controllers. For information on the program functions, see the TNVTPlus user interface and help.

For information on the TNVTPlus OPEN Object interface, click one of the following:

Objects

Properties

Methods

Examples


TNVTPlus objects

The TNVTPlus FTPSTNVTPlus.Application object is an externally creatable object. The Session object is a dependent object that you access through the application object. All other dependent objects, such as Display, Keyboard, Printer, and so on, are available through the Session object.

The following diagram illustrates the relationship of the objects.

To see a description of an object, click one of the following:

FTPSTNVTPlus.Application

Display

Keyboard

Printer

Session

Telnet

VT

WYSE

Xfer


All TNVTPlus properties

To see a description of a property and its syntax, click one of the following:

Answerback

Application

AutoConnect

Automatic

AutoPage

AutoScroll

AutoWrap

BackspaceState

Bell

BlockEndChars

CharacterSetMode

Columns

ConcealAnswerback

ControlCharState

CopyDirection

CursorColumn

CursorDirection

CursorMode

CursorRow

CustomTerminalName

DefaultDirectory

Display

DisplayStatusBar

DisplayToolBar

Echo

EnterKeyState

ExitOnDisconnect

FFTerminator

FullName

Height

Hostname

KermitDataType

KermitPath

KermitRecurse

Keyboard

KeypadMode

LastReadCount

Left

MapFile

Method

Mode

MultinationalCharSet

Name

NationalCharSet

NormalBGColors

NormalFGColors

Parent

Password

PasswordPrompt

Port

Printer

Protocol

ReceiveToDirectory

Rows

SaveLabelsOnExit

SavePassword

ScrolllbackBuffer

ScrollRate

StatusLine

Telnet

TerminalID

TerminalNegotiationMethod

TerminalType

Top

TreatCRasCR

UserName

UserNamePrompt

Visible

VT

Width

WriteProtectBlink

WriteProtectDim

WriteProtectInvisible

WriteProtectReverse

WriteProtectUnderline

WYSE

Xfer

Xmodem1K

XmodemReceiveFile

YmodemGOption

YmodemPath

YmodemRecurse

ZmodemAutoStart

ZmodemOverwriteMethod

ZmodemPath

ZmodemRecovery

ZmodemRecurse

ZmodemResume

ZmodemUseWindow


All TNVTPlus methods

To see a description of a method and its syntax, click one of the following:

Connect

Disconnect

GetEmulatorData

GetScreenLine

NewSessionFile

OpenSession

PrintSpoolFile

Quit

ReceiveFile

SaveSessionFile

SaveSessionFileAs

SendFile

SendKeys

SendText

WaitUntilQuiet

WaitUntilString


FTPSTNVTPlus.Application object
      Properties	Methods

Description

The FTPSTNVTPlus.Application object starts a new instance of the TNVTPlus application. The application object properties affect the display of the application window. The application object methods create, open, or save sessions and quit the application.

Example

Dim TNVTAppObj as object

Sub main

   Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

End Sub


FTPSTNVTPlus.Application properties

To see a description of a property and its syntax, click one of the following:

Application

DefaultDirectory

DisplayStatusBar

DisplayToolBar

FullName

Height

Left

Name

Parent

Top

Visible

Width


Application property (TNVTPlus)
 Application property

Applies To

FTPSTNVTPlus.Application object

Display object

Keyboard object

Printer object

Session object

Telnet object

VT object

WYSE object

Xfer object

Description

Returns the FTPSTNVTPlus.Application object; read only.

Syntax

Obj = ApplicationObject.Application

Return Value

Obj	The FTPSTNVTPlus.Application object

Data Type

Object

Remarks

If you have more than one active instance of TNVTPlus, use the Application property to identify this instance of the application.

Example

Set TNVTApp2 = TNVTAppObj.Application   Return the object


DefaultDirectory property (TNVTPlus)
 DefaultDirectory property

Applies To

FTPSTNVTPlus.Application object

Description

Returns the default session directory for the user; read only.

Syntax

DflSession = ApplicationObject.DefaultDirectory

Return Value

DflSession	The user's default session directory.

Data Type

String

Example

 Get the default session directory for the user

IsDefaultSession = TNVTAppObj.DefaultDirectory


DisplayStatusBar property (TNVTPlus)
 DisplayStatusBar property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets whether the status bar is visible to the user; read/write.

Syntax

ApplicationObject.DisplayStatusBar = {True | False}

Settings

True	Display the status bar.

False	Hide the status bar.

Data Type

Boolean

Example

 Get the DisplayStatusBar setting

bIsStatusBar = TNVTAppObj.DisplayStatusBar

 Display the status bar

TNVTAppObj.DisplayStatusBar = True


DisplayToolBar property (TNVTPlus)
 DisplayToolBar property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets whether the toolbar is visible; read/write.

Syntax

ApplicationObject.DisplayToolBar = {True | False}

Settings

True	Display the toolbar.

False	Hide the toolbar.

Data Type

Boolean

Example

 Get the DisplayToolBar setting

bIsToolbar = TNVTAppObj.DisplayToolBar

 Display the toolbar

TNVTAppObj.DisplayToolBar = True


FullName property (TNVTPlus)
 FullName property

Applies To

FTPSTNVTPlus.Application object

Description

Returns the executable filename of the application and the path to the file; read only.

Syntax

ProgramName = ApplicationObject.FullName

Return Value

ProgramName	The path to and name of the executable filename.

Data Type

String

Example

ExeName = TNVTAppObj.FullName    Get .exe name and path


Height property (TNVTPlus)
 Height property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets the distance between the top and bottom edges of the main application window; read/write.

Syntax

ApplicationObject.Height = height

Settings

height	The distance in pixels between the top and bottom edges of the application window.

Data Type

Long

Example

h = TNVTAppObj.Height    Get the Height setting

TNVTAppObj.Height = 500       Set the window height to 500


Left property (TNVTPlus)
 Left property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets the distance between the left edge of the display screen and the main application window; read/write.

Syntax

ApplicationObject.Left = x

Settings

x	The distance in pixels between the left edge of the display screen and the application window.

Data Type

Long

Example

 Get the Left setting

x = TNVTAppObj.Left

 Set distance between the left edge and left side of screen

TNVTAppObj.Left = 0


Name property (TNVTPlus)
 Name property

Applies To

FTPSTNVTPlus.Application object

Description

Returns the name of the application; read only.

Syntax

App_name = ApplicationObject.Name

Return Value

App_name	Name of the application.

Data Type

String

Example

AppTitle = TNVTAppObj.Name    Get application name


Parent property (TNVTPlus)
 Parent property

Applies To

FTPSTNVTPlus.Application object

Display object

Keyboard object

Printer object

Session object

Telnet object

VT object

WYSE object

Xfer object

Description

Returns the parent object; read only.

Syntax

ParentObj = Object.Parent

Return Value

ParentObj	The parent object.

Data Type

Object

Remarks

For the FTPSTNVTPlus.Application object, this property returns the application object (that is, the application is its own parent).

Example

AppObj = TNVTSessObj.Parent   Get the parent application object


Top property (TNVTPlus)
 Top property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets the distance between the top edge of the display screen and the main application window; read/write.

Syntax

ApplicationObject.Top = y_coordinate

Settings

y_coordinate	The distance in pixels between the top edge of the display screen and the main application window.

Data Type

Long

Example

y = TNVTAppObj.Top    Get space between top screen edge and window

TNVTAppObj.Top = 0    Set the top against the top of the screen


Visible property (TNVTPlus)
 Visible property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets whether the application window is visible to the user; read/write.

Syntax

ApplicationObject.Visible = {True | False}

Settings

True	Display the application window.

False	Hide the application window.

Data Type

Boolean

Remarks

By default, the window does not appear when TNVTPlus is started via OLE automation.

Example

bIsVisible = TNVTAppObj.Visible    Get app window visibility status

TNVTAppObj.Visible = True          Display app window


Width property (TNVTPlus)
 Width property

Applies To

FTPSTNVTPlus.Application object

Description

Returns or sets the distance between the left and right edges of the main application window; read/write.

Syntax

ApplicationObject.Width = width

Settings

width	The distance in pixels between the left and right edges of the application window.

Data Type

Long

Example

w = TNVTAppObj.Width     Get Width setting

TNVTAppObj.Width = 650     Set the width to be 650 pixels


FTPSTNVTPlus.Application methods

To see a description of a method and its syntax, click one of the following:

NewSessionFile

OpenSession

Quit

SaveSessionFile

SaveSessionFileAs


NewSessionFile method (TNVTPlus)
 NewSessionFile method

Applies To

FTPSTNVTPlus.Application object

Description

Creates a new session object.

Syntax

SessionObject = ApplicationObject.NewSessionFile

Return Value

SessionObject	The Session object

Data Type

Object

Remarks

This method returns the Idispatch pointer to the Session object. Use the returned pointer to access the Session object.

Example

Dim TNVTSession1 as object

Sub opensession

   Set TNVTSession1= TNVTAppObj.NewSessionFile

End Sub


OpenSessionFile method (TNVTPlus)
 OpenSessionFile method

Applies To

FTPSTNVTPlus.Application object

Description

Opens the specified session file and returns the Session object.

Syntax

SessionObject = ApplicationObject.OpenSessionFile(sessionfile)

Return Value

SessionObject	The Session object

Arguments

sessionfile	Name of an existing session file

Data Type

SessionObject	Object

sessionfile	String

Remarks

This method returns the Idispatch pointer to the Session object. Use the returned pointer to access the Session object.

Example

Dim TNVTSession1 as object

Sub opensession

   Set TNVTSession1= TNVTAppObj.OpenSessionFile("c:\mysession.ste")

End Sub


Quit method (TNVTPlus)
 Quit method

Applies To

FTPSTNVTPlus.Application object

Description

Exits the TNVTPlus application.

Syntax

ApplicationObject.Quit

Remarks

This method shuts down the TNVTPlus application; all automation objects are no longer valid.

Example

TNVTAppObj.Quit     quit the application


SaveSessionFile method (TNVTPlus)
 SaveSessionFile method

Applies To

FTPSTNVTPlus.Application object

Description

Saves the current session file.

Syntax

ApplicationObject.SaveSessionFile

Remarks

This method saves the current session file with any changed properties.

Example

TNVTAppObj.SaveSessionFile     Save the session file


SaveSessionFileAs method (TNVTPlus)
 SaveSessionFileAs method

Applies To

FTPSTNVTPlus.Application object

Description

Saves the session file under a new name.

Syntax

ApplicationObject.SaveSessionFileAs(filename)

Arguments

filename	The name of the session file.

Data Type

String

Remarks

This method overwrites an existing file if you save a file, using the filename of an existing file.

If the filename is different than the current session name (that is, the filename does not become the name of the current session), the current session file is not renamed.

Example

 Save the session file as session1
TNVTAppObj.SaveSessionFileAs("c:\session\session1")


Display object
      Properties

Description

The Display object provides access to the Display properties.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTDisplayObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTDisplayObj = TNVTSessionObj.Display

        TNVTDisplayObj.Columns = 132

End Sub


Display properties

To see a description of a property and its syntax, click one of the following:

Application

Columns

CursorColumn

CursorRow

MapFile

NormalBGColors

NormalFGColors

Parent

Rows

ScrolllbackBuffer

ScrollRate


Columns property (TNVTPlus)
 Columns property

Applies To

Display object

Description

Returns or sets the number of columns displayed on the screen; read/write.

Syntax

DisplayObject.Columns = {80 | 132 | 180}

Settings

  80	Display 80 columns.

132	Display 132 columns.

180	Display 180 columns.

Data Type

Long

Example

bIsColNum = TNVTDisplayObj.Columns    Get number of columns

TNVTDisplayObj.Columns = 80    Display 80 columns


CursorColumn property (TNVTPlus)
 CursorColumn property

Applies To

Display object

Description

Returns the column position of the cursor; read only.

Syntax

Column_pos = DisplayObject.CursorColumn

Return Value

Column_pos	Column position of the cursor.

Data Type

Long

Example

 Get cursor column position
bColumnPosition = TNVTDisplayObj.CursorColumn


CursorRow property (TNVTPlus)
 CursorRow property

Applies To

Display object

Description

Returns the row position of the cursor; read only.

Syntax

Row_pos = DisplayObject.CursorRow

Return Value

Row_pos	The row position of the cursor.

Data Type

Long

Example

 Get row position of cursor
bRowPosition = TNVTDisplayObj.CursorRow


MapFile property (TNVTPlus)
 MapFile property

Applies To

Display object

Keyboard object

Description

For the Display object, returns the name of the current display remapping file or loads a new display remapping file; read/write.

For the Keyboard object, returns the name of the current keyboard remapping file or loads a new keyboard remapping file; read/write.

Syntax

DisplayObject.MapFile  = mapfile

KeyboardObject. MapFile = mapfile

Settings

mapfile	The complete path to and filename of the display/keyboard remapping file to load.

Data Type

String

Remarks

This property returns Null if no display/keyboard remapping file is loaded.

Example

 Get name of current display map file
bDisplayMap = TNVTDisplayObj.MapFile

 Set new keyboard mapping file
TNVTKeyboardObj.MapFile = "c:\mykeymap.kyb"


NormalBGColors property (TNVTPlus)
 NormalBGColors property

Applies To

Display object

Description

Returns or sets the background color of normal text; read/write.

Syntax

DisplayObject.NormalBGColors = RGBvalue

Settings

RGBvalue	A hexadecimal value representing the Red Green Blue values for a COLORREF structure.

Data Type

Long

Remarks

The COLORREF value has the following hexadecimal form:

0x00bbggrr

The low-order byte contains a value for the relative intensity of red; the second byte contains a value for green; and the third byte contains a value for blue. The high-order byte must be zero. The maximum value for a single byte is 0xFF.

Example

 Get bg color of text
TextColor = TNVTDisplayObj.NormalBGColors

 Set text color to red
 TNVTDisplayObj.NormalBGColors = 255


NormalFGColors property (TNVTPlus)
 NormalFGColors property

Applies To

Display object

Description

Returns or sets the foreground color of normal text on the screen; read/write.

Syntax

DisplayObject.NormalFGColors = RGBvalue

Settings

RGBvalue	A hexadecimal value representing the Red Green Blue values for a COLORREF structure.

Data Type

Long

Remarks

The COLORREF value has the following hexadecimal form:

0x00bbggrr

The low-order byte contains a value for the relative intensity of red; the second byte contains a value for green; and the third byte contains a value for blue. The high-order byte must be zero. The maximum value for a single byte is 0xFF.

Example

 Get foreground color of text
TextColor = TNVTDisplayObj.NormalFGColors

 Set foreground text color to lime green
 TNVTDisplayObj.NormalFGColors = 65280


Rows property (TNVTPlus)
 Rows property

Applies To

Display object

Description

Returns or sets the number of rows displayed on the screen; read/write.

Syntax

DisplayObject.Rows = {Most_rows | WYSE_rows}

Settings

Most_rows	For all emulations except Wyse, valid values are 24, 25, 36, or 48.

WYSE_rows	For WYSE emulation, valid values are 24, 25, 42, or 43.

Data Type

Long

Example

 Get row number of VT emulation
VtRowNum = TNVTDisplayObj.Rows

 Set row number for WYSE emulation to 42
TNVTDisplayObj.Rows = 42


ScrollbackBuffer property (TNVTPlus)
 ScrollbackBuffer property

Applies To

Display object

Description

Returns or sets the number of lines saved in the scrollback buffer; read/write.

Syntax

DisplayObject.ScrollbackBuffer = {0 | 1 | 2 | 3 | 4}

Settings

0	No scrollback buffer.

1	Small scrollback buffer.

2	Medium scrollback buffer.

3	Large scrollback buffer.

4	Maximum scrollback buffer.

Data Type

Long

Remarks

Specify a buffer size that suits the font being used and the amount of memory available.

Example

 Get number of lines in scrollback buffer
ScrollbackNum = TNVTDisplayObj.ScrollbackBuffer

 Set large scrollback buffer
TNVTDisplayObj.ScrollbackBuffer = 3


ScrollRate property (TNVTPlus)
 ScrollRate property

Applies To

Display object

Description

Returns or sets the scroll rate; read/write.

Syntax

DisplayObject.ScrollRate = {0 | 1 | 2 | 3 | 4}

Settings

0	Smooth

1	Slow

2	Medium

3	Fast

4	Fastest

Data Type

Long

Example

 Get scroll rate value
ScrollRate = TNVTDisplayObj.ScrollRate

 Set scroll rate to fast
TNVTDisplayObj.ScrollRate = 3


Keyboard object
      Properties

Description

The Keyboard object provides access to the Keyboard properties.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTKbdObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTKbdObj = TNVTSessionObj.Keyboard

    TNVTKbdObj.CursorMode = 1

End Sub


Keyboard properties

To see a description of a property and its syntax, click one of the following:

Application

BackspaceState

CursorMode

EnterKeyState

KeypadMode

MapFile

Parent


BackspaceState property (TNVTPlus)
 BackspaceState property

Applies To

Keyboard object

Description

Returns or sets the Backspace key to send backspace or delete; read/write.

Syntax

KeyboardObject.BackspaceState = {0 | 1}

Settings

0	Send delete.

1	Send backspace.

Data Type

Long

Example

bBackspace = TNVTKbdObj.BackspaceState    Get the state

TNVTKbdObj.BackspaceState = 0           Send delete for backspace


CursorMode property (TNVTPlus)
 CursorMode property

Applies To

Keyboard object

Description

Returns or sets the cursor mode (application or normal); read/write.

Syntax

KeyboardObject.CursorMode = {0 | 1}

Settings

0	Normal

1	Application

Data Type

Long

Example

CursorMode = TNVTKbsObj.CursorMode    Get the cursor mode

TNVTKbdObj.CursorMode = 0           Set cursor mode to normal


EnterKeyState property (TNVTPlus)
 EnterKeyState property

Applies To

Keyboard object

Description

Returns or sets the Enter key to send CR (carriage return) and LF (line feed) or CR only; read/write.

Syntax

KeyboardObject.EnterKeyState = {0 | 1}

Settings

0	CR and LF.

1	CR only.

Data Type

Long

Example

EnterKeyState = TNVTKbdObj.EnterKeyState   Get EnterKeyState setting

TNVTKbdObj.EnterKeyState = 1             Set Enter key state to CR


KeypadMode property (TNVTPlus)
 KeypadMode property

Applies To

Keyboard object

Description

Returns or sets the keypad mode to normal or application; read/write.

Syntax

KeyboardObject.KeypadMode = {0 | 1}

Settings

0	Normal

1	Application

Data Type

Long

Example

KeypadMode = TNVTKbdObj.KeypadMode    Get keypad mode

TNVTKbdObj.KeypadMode = 0           Set keypad mode to normal


Printer object
      Properties

Description

The Printer object provides access to the Printer properties, which affect characteristics of the print job.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTPrinterObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTPrinterObj = TNVTSessionObj.Printer

    TNVTPrinterObj.PrintAutomatic = 0

End Sub


Printer properties

To see a description of a property and its syntax, click one of the following:

Application

Automatic

FFTerminator

Method

Mode

Parent


Automatic property (TNVTPlus)
Automatic property

Applies To

Printer object

Description

Returns or sets automatic or manual printing of output; read/write.

Syntax

PrinterObject.Automatic  = {True | False}

Settings

True	Manual printing

False	Automatic printing

Data Type

Boolean

Remarks

If you set the Automatic property to manual, then you must use the PrintSpoolFile method to print a file.

Example

PrintStatus = TNVTPrinterObj.PrintAutomatic    Get print status

TNVTPrinterObj.PrintAutomatic = False         Set automatic printing


FFTerminator property (TNVTPlus)
 FFTerminator property

Applies To

Printer object

Description

Returns or sets whether to send the Form Feed Terminator character at the end of a print job; read/write.

Syntax

PrinterObject.FFTerminator = {True | False}

Settings

True	Send the Form Feed Terminator character at the end of a print job.

False	Do not send the Form Feed Terminator character at the end of a print job.

Data Type

Boolean

Remarks

This property is valid only when the Method property is set to 1 to enable the raw printing method.

Example

IsFFon = TNVTPrinterObj.FFTerminator    Get status on FF termination

TNVTPrinterObj.FFTerminator = True       Send FF terminator at job end


Method property (TNVTPlus)
 Method property

Applies To

Printer object

Description

Returns or sets the print method for the session to either default or raw; read/write.

Syntax

PrinterObject.Method = {True | False}

Settings

True	Raw printing

False	Default printing

Data Type

Boolean

Remarks

Default printing uses GDI calls; raw printing uses Spooler calls to the Print Manager.

Example

PrintMethod = TNVTPrinterObj.Method   Get print method

TNVTPrinterObj.Method = False       Set print method to Default


Mode property (TNVTPlus)
 Mode property

Applies To

Printer object

Description

Returns or sets the print mode to normal, Autoprint mode, or Printer Controller mode; read/write.

Syntax

PrinterObject.Mode = {0 | 1 | 2}

Settings

0	Normal; printing off.

1	Autoprint mode; display text on screen.

2	Printer controller mode; text sent only to the printer.

Data Type

Long

Example

 Get printer mode
IsPrintMode = TNVTPrinterObj.Mode

 Set printer mode to display text on screen
TNVTPrinterObj.Mode = 1


Session object
      Properties	Methods

Description

The Session object is a TNVTPlus session. You access a session through the FTPSTNVTPlus.Application object.

The Session object properties affect the characteristics of the session. The session object methods connect to the remote host, disconnect, send or receive files, send keystrokes, and perform other actions.

Example

Dim TNVTSess1 as object

Dim TNVTSess2 as object

Sub main

   Set TNVTSess1 = TNVTAppObj.NewSessionFile

   Set TNVTSess2 = TNVTAppObj.OpenSessionFile(c:\usr\sess\s2.ste)

End Sub


Session properties

To see a description of a property and its syntax, click one of the following:

Application

AutoConnect

AutoWrap

Bell

Display

ExitOnDisconnect

Hostname

Keyboard

LastReadCount

Parent

Password

PasswordPrompt

Port

Printer

SavePassword

Telnet

TerminalType

UserName

UserNamePrompt

VT

WYSE

Xfer


AutoConnect property (TNVTPlus)
 AutoConnect property

Applies To

Session object

Description

Returns or sets the Autoconnection property from the general page properties; read/write.

Syntax

SessionObject.AutoConnect = {True | False}

Settings

True	Enable automatic connection.

False	Disable automatic connection.

Data Type

Boolean

Example

bIsPaging = TNVTSess1.AutoConnect     Get autoconnect status

TNVTSess1.AutoConnect = False           Disable automatic connection


AutoWrap property (TNVTPlus)
 AutoWrap property

Applies To

Session object

Description

Returns or sets the emulator auto wrap mode; read/write.

Syntax

SessionObject.AutoWrap = {True | False}

Settings

True	Enable automatic word wrap.

False	Disable automatic word wrap.

Data Type

Boolean

Example

bIsWrapping = TNVTSess1.AutoWrap     Get auto wrap status

TNVTSess1.AutoWrap = False               Disable automatic word wrap


Bell property (TNVTPlus)
 Bell property

Applies To

Session object

Description

Returns or sets the sounding of the warning bell; read/write.

Syntax

SessionObject.Bell = {True | False}

Settings

True	Turn on sounding the warning bell.

False	Turn off sounding the warning bell.

Data Type

Boolean

Example

bIsBell = TNVTSess1.Bell    Get the status of warning bell

TNVTSess1.Bell = True          Turn on the warning bell


Display property (TNVTPlus)
 Display property

Applies To

Session object

Description

Returns the Display object; read only

Syntax

DisplayObject = SessionObject.Display

Return Value

DisplayObject	The Display object.

Data Type

Object

Example

Set TNVTDisplayObj = TNVTSess1.Display   Return the Display object


ExitOnDisconnect property (TNVTPlus)
 ExitOnDisconnect property

Applies To

Session object

Description

Returns or sets whether to quit the application when the session connection ends; read/write.

Syntax

SessionObject.ExitOnDisconnect = {True | False}

Settings

True	Quit the application when the session connection ends.

False	Do not quit the application when the session connection ends.

Data Type

Boolean

Example

bIsExit = TNVTSess1.ExitOnDisconnect    Get exit status

TNVTSess1.ExitOnDisconnect = True     Quit app when connection ends


Hostname property (TNVTPlus)
 Hostname property

Applies To

Session object

Description

Returns or sets the hostname for the session; read/write.

Syntax

SessionObject.Hostname = hostname

Settings

hostname	An ASCII text string that is a hostname or a valid IP address.

Data Type

String

Example

 Get the Hostname setting
host = TNVTSess1.Hostname

 Set hostname to this IP address

TNVTSess1.Hostname = "128.127.50.123"


Keyboard property (TNVTPlus)
 Keyboard property

Applies To

Session object

Description

Returns the Keyboard object; read only.

Syntax

KeyboardObject = SessionObject.Keyboard

Return Value

KeyboardObject	The Keyboard object.

Data Type

Object

Example

Set TNVTKeyboardObj = TNVTSess1.Keyboard   Return the Kbd object


LastReadCount property (TNVTPlus)
 LastReadCount property

Applies To

Session object

Description

Returns the number of bytes read on the last call to the GetEmulatorData method; read only.

Syntax

Byte_num = SessionObject.LastReadCount

Return Value

Byte_num	The number of bytes.

Data Type

Long

Example

 Get size of buffer

buffer = TNVTSess1.GetEmulatorData(Len(buffer))

num_bytes_returned = TNVTSess1.LastReadCount     Get num of bytes


Password property (TNVTPlus)
 Password property

Applies To

Session object

Description

Returns or sets the user's system password (if applicable) for the session; read/write.

Syntax

SessionObject.Password = password

Settings

password	String used to log in to the session.

Data Type

String

Example

password = TNVTSess1.Password     Get the session password

TNVTSess1.Password = Abc123     Set the session password


PasswordPrompt property (TNVTPlus)
 PasswordPrompt property

Applies To

Session object

Description

Returns or sets the password prompt string (expected from the host) to facilitate the automatic login feature; read/write.

Syntax

SessionObject.PasswordPrompt = password_prompt

Settings

password_prompt	String used by the host to prompt the user for a session password

Data Type

String

Example

 Get the password prompt string
PassPrompt = TNVTSess1.PasswordPrompt

 Set the password prompt string
TNVTSess1.PasswordPrompt = password:


Port property (TNVTPlus)
 Port property

Applies To

Session object

Description

Returns or sets the port name or number to connect to; read/write.

Syntax

SessionObject.Port = port

Settings

port	The port name or number to which to connect.

Data Type

String

Remarks

Set this property before calling the Connect method.

In connecting to a remote host, TNVTPlus sets the Port property to the Telnet port.

Example

bIsPort = TNVTSess1.Port     Get the session port

TNVTSess1.Port = 19     Set the session port to 19


Printer property (TNVTPlus)
 Printer property

Applies To

Session object

Description

Returns the Printer object; read only.

Syntax

PrinterObject = SessionObject.Printer

Return Value

PrinterObject	The Printer object.

Data Type

Object

Example

Set TNVTPrinterObj = TNVTSess1.Printer   Return the Printer object


SavePassword property (TNVTPlus)
 SavePassword property

Applies To

Session object

Description

Returns or sets whether the user's password is saved with the session file; read/write.

Syntax

SessionObject.SavePassword = {True | False}

Settings

True	Save the user's password with the session file.

False	Do not save the user's password with the session file.

Data Type

Boolean

Example

 Get password save status

IsSavePasswd = TNVTSess1.SavePassword

 Do not save password

TNVTSess1.SavePassword = False


Telnet property (TNVTPlus)
 Telnet property

Applies To

Session object

Description

Returns the Telnet object; read only.

Syntax

TelnetObject = SessionObject.Telnet

Return Value

TelnetObject	The Telnet object.

Data Type

Object

Example

Set TNVTTelnetObj = TNVTSess1.Telnet   Return the Telnet object


TerminalType property (TNVTPlus)
 TerminalType property

Applies To

Session object

Description

Returns or sets the terminal type for the session; read/write.

Syntax

SessionObject.TerminalType = {0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8}

Settings

The following table lists the acceptable national character set values:

	0	VT420	5	WYSE60
	1	VT320	6	WYSE50
	2	VT220	7	ANSI
	3	VT100	8	IBMPC
	4	VT52
Data Type

Long

Example

IsTermType = TNVTSess1.TerminalType    Get terminal type

TNVTSess1.TerminalType = 1      Set terminal type to VT320


UserName property (TNVTPlus)
 UserName property

Applies To

Session object

Description

Returns or sets the username for the session; read/write.

Syntax

User_name = SessionObject.UserName

Data Type

String

Example

bIsUserName = TNVTSess1.UserName    Get user name

TNVTSess1.UserName = "joeuser"      Set user name to joeuser


UserNamePrompt property (TNVTPlus)
 UserNamePrompt property

Applies To

Session object

Description

Returns or sets the username prompt string expected from the host, in order to facilitate the automatic login feature; read/write.

Syntax

SessionObject.UserNamePrompt = username_prompt

Settings

username_prompt	String used by the host to prompt the user for the username.

Data Type

String

Example

 Get the username prompt string
UserNamePrompt = TNVTSess1.UserNamePrompt

 Set the username prompt string
TNVTSess1.UserNamePrompt = Username:


VT property (TNVTPlus)
 VT property

Applies To

Session object

Description

Returns the VT object; read only.

Syntax

VTObject = SessionObject.VT

Return Value

VTObject	The VT object.

Data Type

Object

Example

Set TNVTVTObj = TNVTSess1.VT      Return the VT object


WYSE property (TNVTPlus)
 WYSE property

Applies To

Session object

Description

Returns the WYSE object; read only.

Syntax

WYSEObject = SessionObject.WYSE

Return Value

WYSEObject	The WYSE object.

Data Type

Object

Example

Set TNVTWYSEObj = TNVTSess1.WYSE      Return the WYSE object


Xfer property (TNVTPlus)
 Xfer property

Applies To

Session object

Description

Returns the Xfer object; read only.

Syntax

XferObject = SessionObject.Xfer

Return Value

XferObject	The Xfer object.

Data Type

Object

Example

Set TNVTXferObj = TNVTSess1.Xfer      Return the Xfer object


Session methods

To see a description of a method and its syntax, click one of the following:

Connect

Disconnect

GetEmulatorData

GetScreenLine

PrintSpoolFile

ReceiveFile

SendFile

SendKeys

SendText

WaitUntilQuiet

WaitUntilString


 Connect method

Applies To

Session object

Description

Connects to the remote host.

Syntax

SessionObject.Connect

Remarks

This method establishes a TCP connection to the remote host.

Example

TNVTSess1.Connect      Connect to session1


 Disconnect method

Applies To

Session object

Description

Gracefully breaks the TCP connection to the remote host.

Syntax

SessionObject.Disconnect

Example

TNVTSess1.Dosconnect      Disconnect session1


 GetEmulatorData method

Applies To

Session object

Description

Returns the emulator data from the session.

Syntax

My_buffer = SessionObject.GetEmulatorData(max_buffer_len)

Arguments

max_buffer_len	The largest number of bytes of data that can be returned.

Data Type

My_buffer	String

max_buffer_len	Integer

Remarks

Emulator data includes text and escape sequence characters received from the host.

Example

mybuffer = TNVTSess1.GetEmulatorData(Len(mybuffer))


 GetScreenLine method

Applies To

Session object

Description

Returns the data retrieved from the display of the specified line.

Syntax

Data = SessionObject.GetScreenLine(line_number)

Return Value

Data	Display of the specified line number.

Arguments

line_number	Number of a screen line; the first line is 1.

Data Type

Data	String

line_number	Integer

Example

IsLineNo = TNVTSess1.GetScreenLine("12")      Get data on line 12


 PrintSpoolFile method

Applies To

Session object

Description

Prints the current spool file, if one exists.

Syntax

SessionObject.PrintSpoolFile

Remarks

If you have set the Automatic property to manual, then you must use the PrintSpoolFile method to print a file.

Example

TNVTSess1.PrintSpoolFile      Print spool file if it exists


 ReceiveFile method

Applies To

Session object

Description

Receives a file from the remote host.

Syntax

SessionObject.ReceiveFile(filename)

Arguments

filename	The complete path and filename for the file to receive.

Data Type

String

Remarks

This method receives a file and saves it on the local host as the specified filename. In receiving the file, this method uses the Xfer property settings.

Example

TNVTSess1.ReceiveFile("c:\download\myfile.txt")    Get myfile.txt


SendFile method

Applies To

Session object

Description

Sends the specified file to the remote host.

Syntax

result = SessionObject.SendFile(filename)

Return Value

result	0 indicates that the file was sent successfully. A non-zero return code indicates an error occurred in trying to send the file.

Arguments

filename	The complete path and filename of the file to send.

Data Type

result	Long

filename	String

Remarks

In sending the file, this method uses the Xfer property settings.

Example

 Send yourfile.txt

result = TNVTSess1.SendFile("c:\upload\yourfile.txt")


 SendKeys method

Applies To

Session object

Description

Sends character strings, keystrokes, or both across the network.

Syntax

SessionObject.SendKeys(keys_to_send)

Arguments

keys_to_send	The character strings or keystrokes to send.

Data Type

String

Remarks

Keystrokes are defined in keyboard remapping files. For example, <Enter> means send the ENTER key.

Example

TNVTSess1.SendKeys("dir<Enter>")    Send the dir command to the host


SendText method

Applies To

Session object

Description

Sends the specified text over the Telnet connection.

Syntax

SessionObject.SendText(text)

Arguments

text	Text to send over the Telnet connection.

Data Type

String

Remarks

This method is similar to the SendKeys method, but avoids the overhead of keyboard remapping.

Example

TNVTSess1.SendText("dir"+CHRS(13))    Send dir command to the host


WatiUntilQuiet method
WaitUntilQuiet method

Applies To

Session object

Description

Waits for a quiet period.

Syntax

return = SessionObject.WaitUntilQuiet(nsecs, timeout)

Return Value

return	True if the quiet period occurs before the timeout.

 or

False if the quiet period does not occur before the timeout.

Arguments

nsecs	Number of seconds in the quiet period.

timeout	Number of seconds to wait for the quiet period to occur.

Data Type

return	Boolean

nsecs	Long

timeout	Long

Remarks

This method waits for a quiet period of nsecs seconds from the host. If the quiet period has not occurred within timeout seconds, then the method terminates and returns False. If the quiet period occurs before the timeout, WaitUntilQuiet returns True after the quiet period has ended.

Example

 Wait for a quiet period

IsQuiet = TNVTSess1.WaitUntilQuiet(60, 120)


WaitUntilString method

Applies To

Session object

Description

Watches for a string.

Syntax

return = SessionObject.WaitUntilString(matchstr, timeout)

Return Value

return	True if the string is found.

 or

False if the string is not found within timeout seconds.

Arguments

matchstr	Text to watch for.

timeout	Number of seconds to watch.

Data Type

return	Boolean

matchstr	String

timeout	Long

Remarks

If the matchstr argument is an empty string then the WaitUntilString method returns True if no data from the host is waiting to be processed, or False is there is data from the host.

Example

 Look for a matching string

IsMatch = TNVTSess1.WaitUntilString("A string of text", 120)


Telnet object
      Properties

Description

The Telnet object defines properties that are defined on the Communications Settings properties tab page.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTTelnetObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTTelnetObj = TNVTSessionObj.Telnet

End Sub


Telnet properties

To see a description of a property and its syntax, click one of the following:

Application

CustomTerminalName

Echo

Parent

TerminalNegotiationMethod


CustomTerminalName property (TNVTPlus)
CustomTerminalName property

Applies To

Telnet object

Description

Returns or sets the string associated with the custom terminal type; read/write.

Syntax

TelnetObject.CustomTerminalName = terminal_type

Settings

terminal_type	Name of the custom terminal type.

Data Type

String

Remarks

Use this property to specify a custom, user-defined, terminal type name string for the TNVTPlus application to use in negotiations with the remote host. To use a custom terminal type in the negotiation, set this property to the name of the user-defined terminal type and set the TerminalNegotiationMethod property to 2.

Example

The following example sets a custom terminal type to use in negotiation with the remote host.

Dim Session as object

Dim Telnet as object

set TNVTAppObj = CreateObject("FTPSTNVTPlus.Application")

set SessionObj = TNVTAppObj.NewSessionFile

set TelnetObj = SessionObj.Telnet

   TelnetObj.TerminalNegotiationMethod = 2

   TelnetObj.CustomTerminalName = "SpecialVt220"


Echo property (TNVTPlus)
 Echo property

Applies To

Telnet object

Description

Returns or sets the Echo mode for the session to local or remote; read/write.

Syntax

TelnetObject.Echo = {1 | 2}

Settings

1	Local

2 	Remote

Data Type

Long

Example

bIsEcho = TNVTTelnetObj.Echo    Get Echo mode

TNVTTelnetObj.Echo = 1      Set Echo mode to local


TerminalNegotiationMethod property (TNVTPlus)
TerminalNegotiationMethod property

Applies To

Telnet object

Description

Returns or sets a value that specifies the method to use in terminal type negotiation; read/write.

Syntax

TelnetObject.TerminalNegotiationMethod = {0 | 1 | 2}

Settings

0 	All; use the list of all supported terminal types in negotiating the terminal type.

1	Current; use the currently selected terminal type in the negotiation.

2 	Custom; use a custom (user-defined) terminal type in the negotiation.

Data Type

Long

Remarks

Use the TerminalNegotiationMethod property to specify the way that TNVTPlus negotiates the terminal type with the remote Telnet server host. For more information on the methods of terminal type negotiation, see the TNVTPlus application help for the communication settings of the Session general properties.

To negotiate for a custom terminal type, set  the TerminalNegotiationMethod to 2, and set the CustomTerminalName property to specify the terminal type.

Example

 Use the current terminal type in the negotiation

TNVTTelnetObj.TerminalNegotiationMethod = 1


VT object
      Properties

Description

The VT object defines properties accessible through the VT properties tab page.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTVTObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTVTObj = TNVTSessionObj.VT

End Sub


VT properties

To see a description of a property and its syntax, click one of the following:

Answerback

Application

CharacterSetMode

ConcealAnswerback

ControlCharState

CopyDirection

CursorDirection

MultinationalCharSet

NationalCharSet

Parent

StatusLine

TerminalID


Answerback property (TNVTPlus)
 Answerback property

Applies To

VT object

WYSE object

Description

Returns or sets the answerback string in VT or WYSE terminal emulation; read/write.

Syntax

VTObject.Answerback = answerback

WYSEObject.Answerback = answerback

Settings

answerback	The answerback string to set.

Data Type

String

Example

Get answerback string
bIsAnswerback = TNVTVTObj.Answerback

 Set answerback string to FTP Software
TNVTVTObj.Answerback = "FTP Software"


CharacterSetMode property (TNVTPlus)
 CharacterSetMode property

Applies To

VT object

Description

Returns or sets the mode for the session to multinational or national; read/write.

Syntax

VTObject.CharacterSetMode = {True | False}

Settings

True	National

False	Multinational

Data Type

Boolean

Example

bCharSet = TNVTVTObj.CharacterSetMode    Get character set mode

TNVTVTObj.CharacterSetMode = True    Set char set mode to national


ConcealAnswerback property (TNVTPlus)
 ConcealAnswerback property

Applies To

VT object

WYSE object

Description

Returns or sets whether the property page displays the answerback string in VT or WYSE terminal emulation; read/write.

Syntax

VTObject.ConcealAnswerback = {True | False}

WYSEObject. ConcealAnswerback = {True | False}

Settings

True	Do not display the answerback string on the property page.

False	Display the answerback string on the property page.

Data Type

Boolean

Example

bConceal = TNVTVTObj.ConcealAnswerback    Get conceal answer status

TNVTVTObj.ConcealAnswerback = True    Set to conceal answerback


ControlCharState property (TNVTPlus)
 ControlCharState property

Applies To

VT object

Description

Returns or sets the sending of a C1 control character as one 8-bit or two seven-bit bytes; read/write.

Syntax

VTObject.ControlCharState = {True | False}

Settings

True	Send a C1 control character as one 8-bit byte.

False	Send a C1 control character as two seven-bit bytes.

Data Type

Boolean

Remarks

Set this property for VT emulators only.

Example

bIsC1Ctrl = TNVTVTObj.ControlCharState    Get C1 ctrl char state

 Set to send C1 control chars as one 8-bit byte

TNVTVTObj.ControlCharState = True


CopyDirection property (TNVTPlus)
 CopyDirection property

Applies To

VT object

Description

Returns or sets the direction for copy and paste operations; read/write.

Syntax

VTObject.CopyDirection = {0 | 1 }

Settings

0	Left to right

1	Right to left

Data Type

Long

Example

bIsCopyDirection = TNVTVTObj.CopyDirection    Get copy direction

TNVTVTObj.CopyDirection = 0    Set copy direction left to right


CursorDirection property (TNVTPlus)
 CursorDirection property

Applies To

VT object

Description

Returns or sets the direction of cursor movement; read/write.

Syntax

VTObject.CursorDirection= {0 | 1 }

Settings

0	Left to right

1	Right to left

Data Type

Long

Example

bCursorDirection = TNVTVTObj.CursorDirection   Get cursor direction

TNVTVTObj.CursorDirection = 0  Set cursor direction left to right


MultinationalCharSet property (TNVTPlus)
 MultinationalCharSet property

Applies To

VT object

Description

Returns or sets the preferred multinational character set for the session; read/write.

Syntax

VTObject.MultinationalCharSet  = {0 | 1 | 2 | 3 | 4 | 5 | 6 | 7}

Settings

0	DEC Multinational

1	ISO Latin-1

2	DEC Turkish

3	DEC Hebrew

4	DEC Greek

5	ISO Latin-5 (Turkish)

6	ISO Latin-Hebrew

7	ISO Latin-Greek

Data Type

Long

Example

 Get multinational character set mode
bIsMultiCharSet = TNVTVTObj.MultinationalCharSet

Set ISO Latin-1 char set
TNVTVTObj.MultinationalCharSet = 1


NationalCharSet property (TNVTPlus)
 NationalCharSet property

Applies To

VT object

Description

Returns or sets the preferred national character set (7 bit) for the session; read/write.

Syntax

VTObject.NationalCharSet = {0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 |10 | 11 | 12 | 13 | 14 | 15 | 16}

Settings

The following table lists the acceptable national character set values:

	0	North America (ASCII)	9	Norwegian
	1	British	10	Portuguese
	2	Danish	11	Spanish
	3	Dutch	12	Swedish
	4	Finnish	13	Swiss
	5	French	14	Greek
	6	French Canadian	15	Hebrew
	7	German	16	Turkish
	8	Italian
Data Type

Long

Example

 Get national character set mode
bIsNatitonalCharSet = TNVTVTObj.NationalCharSet

 Set character set to Swedish
TNVTVTObj.NationalCharSet = 12


StatusLine property (TNVTPlus)
 StatusLine property

Applies To

VT object

WYSE object

Description

Returns or sets the host status line state in VT or WYSE terminal emulation; read/write.

Syntax

VTObject.StatusLine = {0 | 1 | 2}

WYSEObject.StatusLine = {0 | 1 | 2}

Settings

	VT	Wyse
0	Off	Standard
1	Indicator	Extended
2	Writable	Off
Data Type

Long

Remarks

VT terminal emulation supports the states off (0), indicator (1), and writable (2). WYSE terminal emulation supports the states standard (0), extended (1), and off (2).

Example

 Get status line state
bIsStatusLine = TNVTVTObj.StatusLine

 Set host status line to indicator for VT term emulation
TNVTVTObj.StatusLine = 1

 Set host status line to extended for WYSE
TNVTWYSEObj.StatusLine = 1


TerminalID property (TNVTPlus)
 TerminalID property

Applies To

VT object

Description

Returns or sets the terminal type the local host sends in response to an inquiry from the remote host.; read/write.

Syntax

VTObject.TerminalID = {0 | 1 | 2 | 3}

Settings

0	VT420_ID

1	VT320_ID

2	VT220_ID

3	VT100_ID

Data Type

Long

Example

 Get terminal id
bIsTermID = TNVTVTObj.TerminalID

 Set terminal id to VT220
TNVTVTObj.TerminalID = 2


WYSE object
      Properties

Description

The WYSE object defines properties accessible through the WYSE properties tab page.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTWYSEObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTWYSEObj = TNVTSessionObj.WYSE

End Sub


WYSE properties

To see a description of a property and its syntax, click one of the following:

Answerback

Application

AutoPage

AutoScroll

BlockEndChars

ConcealAnswerback

Parent

SaveLabelsOnExit

StatusLine

TreatCRasCR

WriteProtectBlink

WriteProtectDim

WriteProtectInvisible

WriteProtectReverse

WriteProtectUnderline


AutoPage property (TNVTPlus)
 AutoPage property

Applies To

WYSE object

Description

Returns or sets the WYSE emulator Autopage mode; read/write.

Syntax

WYSEObject.AutoPage = {True | False}

Settings

True	Enable automatic pagination.

False	Disable automatic pagination.

Data Type

Boolean

Remarks

When this option is On (True), the terminal displays the next page and positions the cursor at the top of the page whenever the cursor is on the bottom row of a page and the terminal receives a line feed character.

When this option is Off (False), terminal behavior is dictated by the AutoScroll property setting.

Example

bIsPaging = TNVTWYSEObj.AutoPage     Get the autopage mode

TNVTWYSEObj.AutoPage = False             Disable automatic pagination


AutoScroll property (TNVTPlus)
 AutoScroll property

Applies To

WYSE object

Description

Returns or sets the WYSE emulator Autoscroll mode; read/write.

Syntax

WYSEObject.AutoScroll = {0| 1}

Settings

0	Disable automatic scrolling.

1	Enable automatic scrolling.

Data Type

Boolean

Remarks

When this option is Off (0), the cursor wraps around to the top row.

When this option is On (1), the page scrolls whenever the cursor is on the bottom row of a page and the terminal receives a line feed character.

Example

bIsScrolling = TNVTWYSEObj.AutoScroll     Get the autoscroll mode

TNVTWYSEObj.AutoScroll = 0             Disable automatic scrolling


BlockEndChars property (TNVTPlus)
 BlockEndChars property

Applies To

WYSE object

Description

Returns or sets the WYSE block end character state; read/write.

Syntax

WYSEObject.BlockEndChars = {0 | 1}

Settings

0	Set the block end character state to US/CR.

1	Set the block end character state to CRLF/ETX.

Data Type

Long

Remarks

When this option is Off (0), the terminal sends an ASCII US character at the end of each line and a CR character at the end of the report.

When this option is On (1), the terminal sends ASCII CR and LF characters at the end of each line and an ASCII ETX character at the end of the report.

Example

bIsBlockEnd = TNVTWYSEObj.BlockEndChars     Get block end chars

TNVTWYSEObj.BlockEndChars = 0         Send US and CR chars


SaveLabelsOnExit property (TNVTPlus)
 SaveLabelsOnExit property

Applies To

WYSE object

Description

Returns or sets the state of saving function key labels; read/write.

Syntax

WYSEObject.SaveLabelsOnExit = {True | False}

Settings

True	Save function key labels.

False	Do not save function key labels.

Data Type

Boolean

Remarks

Function key labels appear in the label line at the bottom of the TNVTPlus window. When the SaveLabelsOnExit property is True, the function key labels are saved with the session.

Example

bIsSaveLabel = TNVTWYSEObj.SaveLabelsOnExit     Get save label mode

TNVTWYSEObj.SaveLabelsOnExit = True         Save function key labels


TreatCRasCR property (TNVTPlus)
 TreatCRasCR property

Applies To

WYSE object

Description

Returns or sets the way incoming carriage returns are interpreted in WYSE terminal emulation; read/write.

Syntax

WYSEObject.TreatCRasCR = {0 | 1}

Settings

0	Interpret CR as carriage return (move the cursor to the beginning of the current line).

1	Interpret CR as carriage return and line feed (move the cursor to the beginning of the next line).

Data Type

Long

Remarks

Upon receiving a CR character from the remote host, the default Wyse terminal emulator moves the cursor to the beginning of the current line. To change the terminal emulator so that it moves the cursor to the beginning of the next line when it receives a CR character, set TreatCRasCR to 1.

Example

bIsCRchar = TNVTWYSEObj.TreatCRasCR     Get current CR mode

TNVTWYSEObj.TreatCRasCR = 1             Set CR mode to CR/LF


WriteProtectBlink property (TNVTPlus)
 WriteProtectBlink property

Applies To

WYSE object

Description

Returns or sets whether the contents of write-protected fields blink in WYSE terminal emulation; read/write.

Syntax

WYSEObject.WriteProtectBlink = {True | False}

Settings

True	Blink the contents of a write-protected field

False	Do not blink the contents of a write-protected field.

Data Type

Boolean

Example

bIsWPblink = TNVTWYSEObj.WriteProtectBlink     Get WP blinking state

TNVTWYSEObj.WriteProtectBlink = True       Set WP fields to blinking


WriteProtectDim property (TNVTPlus)
 WriteProtectDim property

Applies To

WYSE object

Description

Returns or sets whether the contents of write-protected fields are dimmed in WYSE terminal emulation; read/write.

Syntax

WYSEObject.WriteProtectDim = {True | False}

Settings

True	Dim the contents of a write-protected field.

False	Do not dim the contents of a write-protected field.

Data Type

Boolean

Example

bIsWPdim = TNVTWYSEObj.WriteProtectDim    Get WP field dimmed state

TNVTWYSEObj.WriteProtectDim = True        Set WP field to dim


WriteProtectInvisible property (TNVTPlus)
 WriteProtectInvisible property

Applies To

WYSE object

Description

Returns or sets whether the contents of write-protected fields are invisible in WYSE terminal emulation; read/write.

Syntax

WYSEObject.WriteProtectInvisible = {True | False}

Settings

True	Do not display the contents of a write-protected field.

False	Display the contents of a write-protected field.

Data Type

Boolean

Example

 Get WP field invisibility state

bIsWPinvisible = TNVTWYSEObj.WriteProtectInvisible

 Set WP field to be visible

TNVTWYSEObj.WriteProtectInvisible = False


WriteProtectReverse property (TNVTPlus)
 WriteProtectReverse property

Applies To

WYSE object

Description

Returns or sets whether the contents of write-protected fields are in reverse video in WYSE terminal emulation; read/write.

Syntax

WYSEObject.WriteProtectReverse = {True | False}

Settings

True	Display the contents of a write-protected field in reverse video.

False	Do not display the contents of a write-protected field in reverse video.

Data Type

Boolean

Example

 Get WP field reverse video state

bIsWPreverse = TNVTWYSEObj.WriteProtectReverse

 Set WP field to be in reverse video

TNVTWYSEObj.WriteProtectReverse = True


WriteProtectUnderline property (TNVTPlus)
 WriteProtectUnderline property

Applies To

WYSE object

Description

Returns or sets whether the contents of a write-protected field are underlined in WYSE terminal emulation; read/write.

Syntax

WYSEObject.WriteProtectUnderline = {True | False}

Settings

True	Underline the contents of a write-protected field.

False	Do not underline the contents of a write-protected field.

Data Type

Boolean

Example

 Get WP field underlining state

bIsWPunderline = TNVTWYSEObj.WriteProtectUnderline

 Set WP field to be underlined

TNVTWYSEObj.WriteProtectUnderline = True


Xfer object
      Properties

Description

The Xfer object defines properties accessible through the Xfer properties tab page.

Example

Dim TNVTAppObj as object

Dim TNVTSessionObj as object

Dim TNVTXferObj as object

Sub main

    Set TNVTAppObj = CreateObject(FTPSTNVTPlus.Application)

    Set TNVTSessionObj = TNVTAppObj.NewSessionFile

    Set TNVTXferObj = TNVTSessionObj.Xfer

End Sub


Xfer properties

To see a description of a property and its syntax, click one of the following:

Application

KermitDataType

KermitPath

KermitRecurse

Parent

Protocol

ReceiveToDirectory

Xmodem1K

XmodemReceiveFile

YmodemGOption

YmodemPath

YmodemRecurse

ZmodemAutoStart

ZmodemOverwriteMethod

ZmodemPath

ZmodemRecovery

ZmodemRecurse

ZmodemResume

ZmodemUseWindow


KermitDataType property (TNVTPlus)
 KermitDataType property

Applies To

Xfer object

Description

Returns or sets the data type for Kermit protocol file transfers; read/write.

Syntax

XferObject.KermitDataType = {0 | 1}

Settings

0	Binary

1	ASCII

Data Type

Long

Example

 Get data type for transfers via Kermit

bIsDataType = TNVTXferObj.KermitDataType

 Set data type to ASCII for Kermit file transfers

TNVTXferObj.KermitDataType = 1


KermitPath property (TNVTPlus)
 KermitPath property

Applies To

Xfer object

Description

Returns or sets whether to strip the pathname from the filename specification for a file transfer in the Kermit protocol; read/write

Syntax

XferObject.KermitPath = {True | False}

Settings

True	Strip the pathname from the filename specification.

False	Do not strip the pathname from the filename specification.

Data Type

Boolean

Example

 Get path strip state for Kermit file transfer
bIsKermitPath = TNVTXferObj.KermitPath

 Keep path in filename spec for Kermit transfers
TNVTXferObj.KermitPath = False


KermitRecurse property (TNVTPlus)
 KermitRecurse property

Applies To

Xfer object

Description

Returns or sets the recursive searching of subdirectories when multiple files or wildcards are specified for sending files in the Kermit protocol; read/write

Syntax

XferObject.KermitRecurse = {True | False}

Settings

True	Recursively search subdirectories.

False	Do not search subdirectories.

Data Type

Boolean

Example

 Get recurse search state for Kermit file transfer
bIsKermitRecurse = TNVTXferObj.KermitRecurse

 Set property to search subdirectories for Kermit transfers
TNVTXferObj.KermitRecurse = True


Protocol property (TNVTPlus)
 Protocol property

Applies To

Xfer object

Description

Returns or sets the protocol type for file transfers; read/write.

Syntax

XferObject.Protocol = {0 | 1 | 2 | 3}

Settings

0	Zmodem

1	Ymodem

2	Xmodem

3	Kermit

Data Type

Long

Example

 Get protocol type
bIsProtocol = TNVTXferObj.Protocol

 Set protocol type to Kermit
TNVTXferObj.Protocol = 3


ReceiveToDirectory property (TNVTPlus)
 ReceiveToDirectory property

Applies To

Xfer object

Description

Returns or sets the directory on the local host for receiving files when using a file transfer receive operation; read/write.

Syntax

XferObject.ReceiveToDirectory  = local_directory

Settings

local_directory	Directory on the local host into which to receive files.

Data Type

String

Example

 Get local host directory for receiving files
bLocalDir = TNVTXferObj.ReceiveToDirectory

 Set property to put received files into c:\mydata
TNVTXferObj.ReceiveToDirectory = "c:\mydata"


Xmodem1K property (TNVTPlus)
 Xmodem1K property

Applies To

Xfer object

Description

Returns or sets whether to change the data block size from 128 to 1024 bytes for Xmodem protocol file transfers; read/write.

Syntax

XferObject.Xmodem1K = {True | False}

Settings

True	Set data block size to 1024 bytes.

False	Do not set data block size to 1024 bytes; retain 128 bytes.

Data Type

Boolean

Example

 Get Xmodem1K state
bIsXmodem1K = TNVTXferObj.Xmodem1K

 Set data block size to 1024 bytes
TNVTXferObj.Xmodem1K = True


XmodemReceiveFile property (TNVTPlus)
 XmodemReceiveFile property

Applies To

Xfer object

Description

Returns or sets the path for and filename on the local host for an Xmodem receive operation; read/write.

Syntax

XferObject.XmodemReceiveFile = local_file

Settings

local_file	Path and filename on the local host.

Data Type

String

Example

 Get local host filename for receiving files
bLocalFile = TNVTXferObj.XmodemReceiveFile

 Set property to specify received filename is c:\mydata\data1.txt
TNVTXferObj.XmodemReceiveFile = "c:\mydata\data1.txt"


YmodemGOption property (TNVTPlus)
 YmodemGOption property

Applies To

Xfer object

Description

Returns or sets the G option in the Ymodem protocol; read/write

Syntax

XferObject. YmodemGOption  = {True | False}

Settings

True	Enable the G option.

False	Disable the G option.

Data Type

Boolean

Remarks

If the G option is enabled, TNVTPlus uses a batch protocol during file transfers, which can result in faster transfers.

Example

 Get G option state
bIsYmodemGoption = TNVTXferObj.YmodemGOption

 Set G option to Off
TNVTXferObj.YmodemGOption = False


YmodemPath property (TNVTPlus)
 YmodemPath property

Applies To

Xfer object

Description

Returns or sets whether to strip the pathname from the filename specification for a file transfer in the Ymodem protocol; read/write.

Syntax

XferObject.YmodemPath = {True | False}

Settings

True	Strip the pathname from the filename specification.

False	Do not strip the pathname from the filename specification.

Data Type

Boolean

Example

 Get path strip state for Ymodem file transfer
bIsYmodemPath = TNVTXferObj.YmodemPath

 Keep path in filename spec for Ymodem transfers
TNVTXferObj.YmodemPath = False


YmodemRecurse property (TNVTPlus)
YmodemRecurse property

Applies To

Xfer object

Description

Returns or sets the recursive searching of subdirectories when multiple files or wildcards are specified for sending files in the Ymodem protocol; read/write.

Syntax

XferObject.YmodemRecurse = {True | False}

Settings

True	Recursively search subdirectories.

False	Do not search subdirectories.

Data Type

Boolean

Example

 Get recurse search state for Ymodem file transfer
bIsYmodemRecurse = TNVTXferObj.YmodemRecurse

 Set property to search subdirectories for Ymodem transfers
TNVTXferObj.YmodemRecurse = True


XferZAutoStart property (TNVTPlus)
 ZmodemAutoStart property

Applies To

Xfer object

Description

Returns or sets the automatic receiving of a file transfer in the Zmodem protocol; read/write.

Syntax

XferObject.ZmodemAutoStart = {True | False}

Settings

True	Automatically receive a file transfer.

False	Do not automatically receive a file transfer.

Data Type

Boolean

Example

 Get autoreceive state for Zmodem file transfer
bIsZmodemAutostart = TNVTXferObj.ZmodemAutoStart

 Set to auto start the receive file transfer for Zmodem
TNVTXferObj.ZmodemAutoStart = True


XferZOverwriteMethod property (TNVTPlus)
 ZmodemOverwriteMethod property

Applies To

Xfer object

Description

Returns or sets the overwrite method for the receiver to use when writing a file using the Zmodem protocol; read/write.

Syntax

XferObject.ZmodemOverwriteMethod = {0 | 1 | 2 | 3 | 4 | 5 | 6}

Settings

0	Do not overwrite.

1	Newer or longer.

2	Append.

3	Always.

4	Different.

5	Protected.

6	New.

Data Type

Long

Example

 Get overwrite method for Zmodem file transfer
bIsZmodemOverwrite = TNVTXferObj.ZmodemOverwriteMethod

 Set property to disable overwrite method for Zmodem
TNVTXferObj.ZmodemOverwriteMethod = 0


ZmodemPath property (TNVTPlus)
 ZmodemPath property

Applies To

Xfer object

Description

Returns or sets whether to strip the pathname from the filename specification for a file transfer in the Zmodem protocol; read/write.

Syntax

XferObject.ZmodemPath = {True | False}

Settings

True	Strip the pathname from the filename specification.

False	Do not strip the pathname from the filename specification.

Data Type

Boolean

Example

 Get path strip state for Zmodem file transfer
bIsZmodemPath = TNVTXferObj.ZmodemPath

 Remove path in filename spec for Zmodem transfers
TNVTXferObj.ZmodemPath = True


XferZCrash property (TNVTPlus)
 ZmodemRecovery property

Applies To

Xfer object

Description

Returns or sets the crash recovery feature for receiving a file in the Zmodem protocol; read/write.

Syntax

XferObject.ZmodemRecovery = {True | False}

Settings

True	Enable crash recovery when receiving a file.

False	Disable crash recovery when receiving a file.

Data Type

Boolean

Example

 Get recovery mode for Zmodem file transfer
bIsZmodemRecovery = TNVTXferObj.ZmodemRecovery

 Set property to enable crash recovery for Zmodem transfers
TNVTXferObj.ZmodemRecovery = True


ZmodemRecurse property (TNVTPlus)
 ZmodemRecurse property

Applies To

Xfer object

Description

Returns or sets the recursive searching of subdirectories when multiple files or wildcards are specified for a file transfer in the Ymodem protocol; read/write.

Syntax

XferObject.ZmodemRecurse = {True | False}

Settings

True	Recursively search subdirectories.

False	Do not search subdirectories.

Data Type

Boolean

Example

 Get recurse search state for Zmodem file transfer
bIsZmodemRecurse = TNVTXferObj.ZmodemRecurse

 Set property to search subdirectories for Zmodem transfers
TNVTXferObj.ZmodemRecurse = True


ZmodemResume property (TNVTPlus)
 ZmodemResume property

Applies To

Xfer object

Description

Returns or sets the resume send option used by the Zmodem protocol.; read/write.

Syntax

XferObject.ZmodemResume = {True | False}

Settings

True	Enable the resume send option.

False	Disable the resume send option.

Data Type

Boolean

Remarks

The Zmodem resume send option resumes the file transfer process for the sending file if part of the file already exists.

Example

 Get resume send option for Zmodem file transfer
bIsZmodemResume = TNVTXferObj.ZmodemResume

 Enable resume send option for Zmodem transfers
TNVTXferObj.ZmodemResume= True


ZmodemUseWindow property (TNVTPlus)
 ZmodemUseWindow property

Applies To

Xfer object

Description

Returns or sets whether to use a sliding window when sending a file in the Zmodem protocol; read/write.

Syntax

XferObject.ZmodemUseWindow = {True | False}

Settings

True	Use a sliding window when sending a file.

False	Do not use a sliding window when sending a file.

Data Type

Boolean

Example

 Get sliding window mode for Zmodem file transfer
bIsZmodemUseWindow = TNVTXferObj.ZmodemUseWindow

 Set property to use sliding window for Zmodem transfers
TNVTXferObj.ZmodemUseWindow = True


Examples using TNVTPlus objects

The following examples demonstrate how to use TNVTPlus objects to activate some of the major functions of the TNVTPlus program. To use any of the examples, you must have TNVTPlus installed on your system.

Click an example to see it.

Example 1	Initiates a Telnet session.

Example 2	Changes a Display object property.

Example 3	Changes a Keyboard object property.

Example 4	Changes a Printer object property.

Example 5	Changes a VT object property.

Example 6	Changes a WYSE object property.

Example 7	Changes a Xfer object property.


TNVTPlus example 1

' This example initiates a Telnet session,
' makes it visible, and ends.

'

' To make this script run, change "your host" to the

' appropriate hostname.

dim Telnet as object

dim Session as object

Sub ConnectToHost( hostname As String )

   set Telnet = CreateObject("FTPSTNVTPlus.Application")

   Telnet.Visible = TRUE

   set Session = Telnet.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

   Session.Connect

End Sub

Sub Main()

   ConnectToHost("your host")

End Sub


TNVTPlus example 2

' This example demonstrates changing a Display object

' property. The script creates the Telnet application as

' visible, connects to a session, and gets the Display object.

' It calls the SetCols subroutine to change the columns

' to 132 column mode.

' To make this script run, change "your host"

' to the appropriate hostname.

dim Telnet as object

dim Session as object

dim Display as object

Sub ConnectToHost( hostname As String )

   set Telnet = CreateObject("FTPSTNVTPlus.Application")

   Telnet.Visible = TRUE

   set Session = Telnet.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

   Session.Connect

End Sub

Sub SetCols( numColumns As Integer )

  Display.Columns = numColumns

End Sub

Sub Main()

   ConnectToHost("your host")

   set Display = Session.Display

   SetCols(132)

End Sub


TNVTPlus example 3

' This example demonstrates changing a Keyboard object

' property. The script creates the Telnet application as

' visible, connects to a session, and gets the Keyboard object.

' It calls the SetBackspace subroutine to set the backspace

' key to send either backspace or delete.

' To make this script run, change "your host" to the

' appropriate hostname.

dim Telnet as object

dim Session as object

dim Keyboard as object

Sub ConnectToHost( hostname As String )

   set Telnet = CreateObject("FTPSTNVTPlus.Application")

   Telnet.Visible = TRUE

   set Session = Telnet.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

   Session.Connect

End Sub

Sub Main()

   ConnectToHost("your host")

End Sub


TNVTPlus example 4

' This example demonstrates changing a Printer object

' property. The script creates the Telnet application

' as visible, connects to a session, and gets the Printer object.

' It calls the SetPrintmode subroutine to set the print

' mode for VT emulation or Wyse emulation.

' To make this script run, change "your host" to the

' appropriate hostname.

dim Telnet as object

dim Session as object

dim Printer as object

Sub ConnectToHost( hostname As String )

   set Telnet = CreateObject("FTPSTNVTPlus.Application")

   Telnet.Visible = TRUE

   set Session = Telnet.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

   Session.Connect

End Sub

Sub SetPrintMode( pMode As Integer )

   Printer.Mode = pMode

End Sub

Sub Main()

   ConnectToHost("your host")

   set Printer = Session.Printer

   SetPrintMode( 1 )    ' turn on autoprint mode

End Sub


TNVTPlus example 5

' This example demonstrates changing a VT object

' property. The script creates the Telnet application

' as visible, connects to a session, and gets the VT object.

' The script then sets the VT answerback string to "FTP"

' To make this script run, change "your host"

' to the appropriate hostname.

dim Application as object

dim Session as object

dim VT as object

Sub ConnectToHost( hostname As String )

   set Application = CreateObject("FTPSTNVTPlus.Application")

   Application.Visible = TRUE

   set Session = Application.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

End Sub

Sub SetAnswerback( answerback As String )

   VT.Answerback = answerback

End Sub

Sub Main()

   ConnectToHost("your host")

   set VT = Session.VT

   SetAnswerback("FTP")

   Session.Connect

End Sub


TNVTPlus example 6

' This example demonstrates changing a WYSE object

' property. The script creates the Telnet application

' as visible, connects to a session, and gets the WYSE object.

' The script then sets the WYSE answerback string to "FTP"

' To make this script run, change "your host"

' to the appropriate hostname.

dim Application as object

dim Session as object

dim WYSE as object

Sub ConnectToHost( hostname As String )

   set Application = CreateObject("FTPSTNVTPlus.Application")

   Application.Visible = TRUE

   set Session = Application.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

End Sub

Sub SetAnswerback( answerback As String )

   WYSE.Answerback = answerback

End Sub

Sub Main()

   ConnectToHost("your host")

   set WYSE = Session.WYSE

   SetAnswerback("FTP")

   Session.Connect

   End Sub


TNVTPlus example 7

' This example demonstrates changing an Xfer object

' property. The script creates the Telnet application as visible,

' connects to a session, and gets the Xfer object.

' Through the Kermit protocol, the script then sends a file

' the remote host

' To make this script run, change "your host"

' to the appropriate hostname and "c:\your_file_here" to the

' appropriate path and filename.

Const KERMIT = 3

dim Application as object

dim Session as object

dim Transfer as object

Sub LoginToHost( hostname As String )

   dim username as String

   dim password as String

   set Application = CreateObject("FTPSTNVTPlus.Application")

   Application.Visible = TRUE

   set Session = Application.NewSessionFile

   Session.Hostname = hostname

   Session.Port = "Telnet"

   Session.Connect

   username = InputBox("Enter your username:")

   Session.SendKeys(username+"<Enter>")

   psw = PasswordBox("Enter your password:")

   Session.SendKeys(psw+"<Enter>")

End Sub

Sub SendKermitFile( filename As String )

   dim starttime as Integer

   Session.SendKeys("kermit<Enter>")

   starttime = timer

   While starttime > timer+2    ' wait 2 seconds

   Wend

   Session.SendKeys("receive<Enter>")

   While starttime > timer+2    ' wait 2 seconds

   Wend

   Transfer.Protocol = KERMIT

   Session.SendFile(filename)

   End Sub

Sub Main()

   LoginToHost("your host")

   set Transfer = Session.Xfer

   SendKermitFile("c:\your_file_here")

End Sub


Technical assistance

Users in the U.S. and Canada, and worldwide resellers  Contact FTP Software®:

Telephone:	(800) 382-4387

(508) 685-3600

E-mail:	support@ftp.com

Fax:	(508) 794-4484

 or

Users outside of the U.S. and Canada  Contact your local reseller.

Tip

For FREE online technical services, see:

World Wide Web:	http://www.ftp.com

Anonymous Ftp Server:	ftp.ftp.com

Bulletin Board System:	(508) 684-6240 ( settings  8,N,1)

CompuServe:	GO FTPSOFT (PCVENJ Section 8)